package com.namasoft.contracts.common.dtos;
import com.namasoft.common.fieldids.newids.basic.IdsOfModifySupplierInfoReq;

import com.namasoft.modules.commonbasic.contracts.valueobjects.*;

public interface IDTOModifyRequest
{
	default void updateCommonInfo(ListOfGenericValues values)
	{
		values.addValue(IdsOfModifySupplierInfoReq.subsidiaryAccounts_accountsBag, fetchSubsidiaryAccounts().getAccountsBag());
		values.addValue(IdsOfModifySupplierInfoReq.subsidiaryAccounts_mainAccount, fetchSubsidiaryAccounts().getMainAccount());
		values.addValue(IdsOfModifySupplierInfoReq.subsidiaryAccounts_forceNoDebtAgesTracking, fetchSubsidiaryAccounts().getForceNoDebtAgesTracking());
		values.addValue(IdsOfModifySupplierInfoReq.subsidiaryAccounts_account1, fetchSubsidiaryAccounts().getAccount1());
		values.addValue(IdsOfModifySupplierInfoReq.subsidiaryAccounts_account2, fetchSubsidiaryAccounts().getAccount2());
		values.addValue(IdsOfModifySupplierInfoReq.subsidiaryAccounts_account3, fetchSubsidiaryAccounts().getAccount3());
		values.addValue(IdsOfModifySupplierInfoReq.subsidiaryAccounts_account4, fetchSubsidiaryAccounts().getAccount4());
		values.addValue(IdsOfModifySupplierInfoReq.subsidiaryAccounts_account5, fetchSubsidiaryAccounts().getAccount5());
		values.addValue(IdsOfModifySupplierInfoReq.subsidiaryAccounts_account6, fetchSubsidiaryAccounts().getAccount6());
		values.addValue(IdsOfModifySupplierInfoReq.subsidiaryAccounts_account7, fetchSubsidiaryAccounts().getAccount7());
		values.addValue(IdsOfModifySupplierInfoReq.subsidiaryAccounts_account8, fetchSubsidiaryAccounts().getAccount8());
		values.addValue(IdsOfModifySupplierInfoReq.subsidiaryAccounts_account9, fetchSubsidiaryAccounts().getAccount9());
		values.addValue(IdsOfModifySupplierInfoReq.subsidiaryAccounts_account10, fetchSubsidiaryAccounts().getAccount10());
		values.addValue(IdsOfModifySupplierInfoReq.subsidiaryAccounts_tax1Exempt, fetchSubsidiaryAccounts().getTax1Exempt());
		values.addValue(IdsOfModifySupplierInfoReq.subsidiaryAccounts_tax2Exempt, fetchSubsidiaryAccounts().getTax2Exempt());
		values.addValue(IdsOfModifySupplierInfoReq.subsidiaryAccounts_tax3Exempt, fetchSubsidiaryAccounts().getTax3Exempt());
		values.addValue(IdsOfModifySupplierInfoReq.subsidiaryAccounts_tax4Exempt, fetchSubsidiaryAccounts().getTax4Exempt());

		values.addValue(IdsOfModifySupplierInfoReq.contactInfo_address, fetchContactInfo().getAddress());
		values.addValue(IdsOfModifySupplierInfoReq.contactInfo_email, fetchContactInfo().getEmail());
		values.addValue(IdsOfModifySupplierInfoReq.contactInfo_mobile, fetchContactInfo().getMobile());
		values.addValue(IdsOfModifySupplierInfoReq.contactInfo_telephone1, fetchContactInfo().getTelephone1());
		values.addValue(IdsOfModifySupplierInfoReq.contactInfo_telephone2, fetchContactInfo().getTelephone2());
		values.addValue(IdsOfModifySupplierInfoReq.contactInfo_faxNumber, fetchContactInfo().getFaxNumber());
		values.addValue(IdsOfModifySupplierInfoReq.contactInfo_website, fetchContactInfo().getWebsite());

		values.addValue(IdsOfModifySupplierInfoReq.taxInfo_idNumber, fetchTaxInfo().getIdNumber());
		values.addValue(IdsOfModifySupplierInfoReq.taxInfo_taxRegNo, fetchTaxInfo().getTaxRegNo());
		values.addValue(IdsOfModifySupplierInfoReq.taxInfo_commercialRegNo, fetchTaxInfo().getCommercialRegNo());
		values.addValue(IdsOfModifySupplierInfoReq.taxInfo_companyType, fetchTaxInfo().getCompanyType());
		values.addValue(IdsOfModifySupplierInfoReq.taxInfo_dealWay, fetchTaxInfo().getDealWay());
		values.addValue(IdsOfModifySupplierInfoReq.taxInfo_dealWayCode, fetchTaxInfo().getDealWayCode());
		values.addValue(IdsOfModifySupplierInfoReq.taxInfo_fileNo, fetchTaxInfo().getFileNo());
		values.addValue(IdsOfModifySupplierInfoReq.taxInfo_mission, fetchTaxInfo().getMission());
		values.addValue(IdsOfModifySupplierInfoReq.taxInfo_missionCode, fetchTaxInfo().getMissionCode());
		values.addValue(IdsOfModifySupplierInfoReq.taxInfo_supplier, fetchTaxInfo().getSupplier());

		values.addValue(IdsOfModifySupplierInfoReq.bankInfo_bankBranch, fetchBankInfo().getBankBranch());
		values.addValue(IdsOfModifySupplierInfoReq.bankInfo_bankCountry, fetchBankInfo().getBankCountry());
		values.addValue(IdsOfModifySupplierInfoReq.bankInfo_bankName, fetchBankInfo().getBankName());
		values.addValue(IdsOfModifySupplierInfoReq.bankInfo_bankTitle, fetchBankInfo().getBankTitle());
		values.addValue(IdsOfModifySupplierInfoReq.bankInfo_ibanNumber, fetchBankInfo().getIbanNumber());
		values.addValue(IdsOfModifySupplierInfoReq.bankInfo_intermediaryBankName, fetchBankInfo().getIntermediaryBankName());
		values.addValue(IdsOfModifySupplierInfoReq.bankInfo_swiftCode, fetchBankInfo().getSwiftCode());
	}

	DTOBankInfo fetchBankInfo();

	DTOTaxInfo fetchTaxInfo();

	DTOContactInfo fetchContactInfo();

	DTOSubsidiaryOwner fetchSubsidiaryAccounts();
}
