package com.namasoft.modules.commonbasic.contracts.valueobjects;

import com.namasoft.common.flatobjects.EntityReferenceData;
import com.namasoft.modules.commonbasic.contracts.details.DTOEmailReceiverSettings;
import com.namasoft.modules.commonbasic.contracts.details.DTOEmailSenderSettings;
import com.namasoft.modules.commonbasic.contracts.details.DTOEntityImageSettings;
import com.namasoft.modules.commonbasic.contracts.details.DTOEntityReviseLevel;
import com.namasoft.modules.commonbasic.contracts.details.DTOSMSSenderSettings;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlRootElement;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
@SuppressWarnings("serial")
@XmlRootElement
@XmlAccessorType(XmlAccessType.PROPERTY)
public abstract class GeneratedDTOGlobalConfigInfo implements Serializable
{
	private BigDecimal addedHoursToTime;
	private BigDecimal approximationDiscountValue;
	private BigDecimal lowMargin;
	private BigDecimal maximumDrCrDiffCorrection;
	private BigDecimal minDebitCreditValue;
	private BigDecimal notifyWhenEmptySpaceReachesGB;
	private Boolean activateApproximationDiscount;
	private Boolean addAnalysisSetToCustCredits;
	private Boolean addAnalysisSourceToTerms;
	private Boolean addApprovalStepsToActionHistory;
	private Boolean addBranchSourceToTerms;
	private Boolean addBranchToCustCredits;
	private Boolean addCurrencyAndRateSourceToTerms;
	private Boolean addDeptSourceToTerms;
	private Boolean addDeptToCustCredits;
	private Boolean addEntityDimSourceToTerms;
	private Boolean addExportToActionHistory;
	private Boolean addLegalEntityToCustCredits;
	private Boolean addRef1SourceToTerms;
	private Boolean addRef2SourceToTerms;
	private Boolean addRef3SourceToTerms;
	private Boolean addReportRunsToActionHistory;
	private Boolean addSectorSourceToTerms;
	private Boolean addSectorToCustCredits;
	private Boolean addWorkTasksListToEmployee;
	private Boolean allowApprovalsOnDocumentsUpdate;
	private Boolean allowChangeSystemReportToNonSystem;
	private Boolean allowChangingDimsOfDims;
	private Boolean allowDisablingCodeFieldWithSecurity;
	private Boolean allowDownloadAttachmentWithoutAuthentication;
	private Boolean allowEmptyPrefixForManualBook;
	private Boolean allowFillingDisabledFieldsWithCreators;
	private Boolean allowPrintingAwaitingApprovalRecords;
	private Boolean allowPrintingDrafts;
	private Boolean allowReportIfUserAllowedThroughSecurityTableRegardlessOfSecurity;
	private Boolean allowReverseDiscountCouponEvenIfUsedInInvoices;
	private Boolean allowTextWrapInGrids;
	private Boolean allowTextWrapInListViews;
	private Boolean allowUsingDiscountCouponManyTimesIfPercentageType;
	private Boolean allowValuesChangeOfYear1;
	private Boolean allowValuesChangeOfYear2;
	private Boolean allowValuesChangeOfYear3;
	private Boolean allowValuesChangeOfYear4;
	private Boolean alwaysUseTextAreaInSerialPopup;
	private Boolean autoLogoutRememberMe;
	private Boolean autoLogoutWithMaxSessions;
	private Boolean calcDisc1PercentFromValue;
	private Boolean calcDisc2PercentFromValue;
	private Boolean calcDisc3PercentFromValue;
	private Boolean calcDisc4PercentFromValue;
	private Boolean calcDisc5PercentFromValue;
	private Boolean calcDisc6PercentFromValue;
	private Boolean calcDisc7PercentFromValue;
	private Boolean calcDisc8PercentFromValue;
	private Boolean calculateCountBasedOnQty;
	private Boolean considerVouchersPaymentWithApproxDisc;
	private Boolean countPrintsPerUser;
	private Boolean createAttachmentInfoTable;
	private Boolean createAttachmentPreviewAndThumbnail;
	private Boolean createDMSDocInPopUpWindow;
	private Boolean createEntitySystemEntryForDraftRecord;
	private Boolean deductPaymentAndReceiptInRemaining;
	private Boolean detailedWorkTasks;
	private Boolean disableWarehousesAdjustment;
	private Boolean displayPreventedRecords;
	private Boolean displayRecordsWithUpdateCapabilityToUsers;
	private Boolean dmsDocFilterFoldersByLocation;
	private Boolean doNotAllowSpecifyingDocCode;
	private Boolean doNotChangeDateWithDuplicate;
	private Boolean doNotCompareRemainingWithPaymentTotalInInvoices;
	private Boolean doNotConsiderDimensionsWhenSearchingForSingleTermBook;
	private Boolean doNotOverrideSalesManWithCustomer;
	private Boolean doNotPreventModifyingDocsBeforeLastCloseEntry;
	private Boolean doNotUseDescriptorsInFields;
	private Boolean doNotUseTax1PercentageAsAdditionalValue1;
	private Boolean doNotUseTax2PercentageAsAdditionalValue2;
	private Boolean doNotUseTax3PercentageAsAdditionalValue3;
	private Boolean doNotUseTax4PercentageAsAdditionalValue4;
	private Boolean doNotUseTodayAndYesterdayForDates;
	private Boolean doNotdispPrevRecInListView;
	private Boolean donotReplicateAttachments;
	private Boolean dontDisplayContractorType;
	private Boolean dontDisplayCustomerType;
	private Boolean dontDisplayEmployeeType;
	private Boolean dontDisplaySupplierType;
	private Boolean dontUpdateReportNotASystemReportButHaveSameCodeOfSystemReport;
	private Boolean enablePresendRequestsForCostLedger;
	private Boolean enableRecordViewEntityFlows;
	private Boolean exportDraftVersion;
	private Boolean externalizeAttachments;
	private Boolean fetchReviewedAndApprovedReportsOnlyWhenUpdateSystemReports;
	private Boolean fixMenuAsSideBar;
	private Boolean hideCountColumnInSelectorPopup;
	private Boolean hideSelectColumnInSelectorPopup;
	private Boolean htax2IsDiscount;
	private Boolean ifSingleBookIsDefinedForEntityUseItWithNew;
	private Boolean ifSingleTermIsDefinedForEntityUseItWithNew;
	private Boolean ignoreDimensionsConsistency;
	private Boolean ignoreRecordCapabilitiesInAllListViews;
	private Boolean logExportsToDB;
	private Boolean logFormsToReportLog;
	private Boolean logParametersToDB;
	private Boolean logReportPerformanceToDB;
	private Boolean mergeAlternateSecurityProfilesIntoMainUser;
	private Boolean mustSelectEntityInSearchInBeforeSearchOnServer;
	private Boolean noTaxesForFreeItem;
	private Boolean openPrintInBrowserWindow;
	private Boolean prevUserToRunSameRepMultipleTimes;
	private Boolean preventManualCoding;
	private Boolean preventSamePasswordWhenChanging;
	private Boolean preventUpdateDocAndRelatedDocInApproval;
	private Boolean preventUsingBranchesWhenHeadOfficeIsOnline;
	private Boolean priceIncludesTax2;
	private Boolean priceIncludesTax3;
	private Boolean priceIncludesTax4;
	private Boolean priceIncludesTax;
	private Boolean printUsingNamaServer;
	private Boolean requestReCommitAfterFailures;
	private Boolean rotateSenderEmails;
	private Boolean salesManSearch;
	private Boolean searchWithConnectedNamesInRefs;
	private Boolean shouldRedirectEditView;
	private Boolean showCompanyNameNextToLogo;
	private Boolean showFullTermConfig;
	private Boolean showOldBarcodeMenu;
	private Boolean showOnlyCurrentDimensionBooks;
	private Boolean showPublicDocumentsToAll;
	private Boolean showSearchInForTopPanel;
	private Boolean smartArabicSearchInContains;
	private Boolean startAlwaysByNewGui;
	private Boolean startInMobileByNewGui;
	private Boolean subsidiaryCurrencyShouldMatchAccountsCurrency;
	private Boolean tax1IsDiscount;
	private Boolean tax1IsValue;
	private Boolean tax1NotIncludedInTotal;
	private Boolean tax1ValueIsForTotal;
	private Boolean tax2IsDiscount;
	private Boolean tax2IsValue;
	private Boolean tax2NotIncludedInTotal;
	private Boolean tax2ValueIsForTotal;
	private Boolean tax3IsDiscount;
	private Boolean tax3IsValue;
	private Boolean tax3NotIncludedInTotal;
	private Boolean tax3ValueIsForTotal;
	private Boolean tax4IsDiscount;
	private Boolean tax4IsValue;
	private Boolean tax4NotIncludedInTotal;
	private Boolean tax4ValueIsForTotal;
	private Boolean unlimtedAllowedBooksInTerms;
	private Boolean upperAndLowerCase;
	private Boolean useAccount10;
	private Boolean useAccount11;
	private Boolean useAccount12;
	private Boolean useAccount13;
	private Boolean useAccount14;
	private Boolean useAccount15;
	private Boolean useAccount16;
	private Boolean useAccount17;
	private Boolean useAccount18;
	private Boolean useAccount19;
	private Boolean useAccount20;
	private Boolean useAccount6;
	private Boolean useAccount7;
	private Boolean useAccount8;
	private Boolean useAccount9;
	private Boolean useAdobeSyntaxForPDFPrinting;
	private Boolean useAnalysisSetInReplication;
	private Boolean useBackgroundImage;
	private Boolean useBranchInReplication;
	private Boolean useCurrentUserAsSalesMan;
	private Boolean useDepartmentInReplication;
	private Boolean useDetailedGridsInMobile;
	private Boolean useEnglishCRMTroubleTicketChangeTemplate;
	private Boolean useEntityCodeForFileName;
	private Boolean useEntityLegalEntityLogoWhenPrintForm;
	private Boolean useEscalateToSpecificEmployee;
	private Boolean useEscalateToSupervisor;
	private Boolean useFrenchInsteadOfEnglish;
	private Boolean useKendoRichEditor;
	private Boolean useLDAPForUsersLogin;
	private Boolean useLegacyPrintingCodeInPDF;
	private Boolean useLegalEntityInReplication;
	private Boolean useNextRealNumberForDrafts;
	private Boolean usePayReceiptDocsSysEntries;
	private Boolean useRejectDecision;
	private Boolean useReturnDecision;
	private Boolean useReturnToPreviousStep;
	private Boolean useReviseDocumentForAllEntities;
	private Boolean useSalesManAsEmployeeForPriceLists;
	private Boolean useSectorInReplication;
	private Boolean useToPeriodInFinancialBudget;
	private Boolean useUserPhoneAsCode;
	private Boolean whenPublicLegalEntitySearchLegalEntityLogoInReportParameters;
	private DTODocumentCoverterSettings docConverterSettings;
	private DTOExcelExportConfig excelExportConfig;
	private DTOFontInfo fontInfo;
	private DTOHijriFormatInfo hijriFormat;
	private DTOItemCodingFormula itemCodingFormula;
	private DTOMailSercerSettings mailServerSettings;
	private DTOTaxEffectOnDiscount discount1;
	private DTOTaxEffectOnDiscount discount2;
	private DTOTaxEffectOnDiscount discount3;
	private DTOTaxEffectOnDiscount discount4;
	private DTOTaxEffectOnDiscount discount5;
	private DTOTaxEffectOnDiscount discount6;
	private DTOTaxEffectOnDiscount discount7;
	private DTOTaxEffectOnDiscount discount8;
	private DTOTaxesCodes taxesCodes;
	private DTOTrackDebtAges trackDebtAgesOn;
	private Date replicationCleanUpTime;
	private Date sysHelpsLastReadDate;
	private EntityReferenceData defaultTaxPlanForItemPrice;
	private EntityReferenceData effectsConfig;
	private EntityReferenceData failedPendingTasksNotification;
	private EntityReferenceData useLedgerCalendarForYearStartAndEndInReports;
	private EntityReferenceData useLogoForPublic;
	private EntityReferenceData userAddRequestBook;
	private EntityReferenceData userAddRequestTerm;
	private Integer autoLogoutTime;
	private Integer defaultDisplayDecimalPlaces;
	private Integer defaultReviseLevel;
	private Integer linesCountInGrids;
	private Integer maxExportCount;
	private Integer maxFailedLoginAttempts;
	private Integer maxLinesCount;
	private Integer maxLinesPerGeneratedDoc;
	private Integer maxListPageMatchingRefCountPerUser;
	private Integer maxListViewCountPerUser;
	private Integer maxLoginSessions;
	private Integer maxMinutesToExecuteSqlFieldQuery;
	private Integer maxRecordsPerPageForListViews;
	private Integer maxRetrayNumForPendingTasks;
	private Integer maxSecondsToExecuteDashboardQuery;
	private Integer maxSecondsToExecuteListPageQueries;
	private Integer maxSecondsToExecuteListViewQueries;
	private Integer maxSecondsToExecuteReportsQueries;
	private Integer maxSecondsToExecuteSqlFieldQuery;
	private Integer maxSecondsToExecuteUserTimedQueries;
	private Integer minAlphaChars;
	private Integer minNumbersChars;
	private Integer minPasswordLength;
	private Integer minSpecialChars;
	private Integer minutesToRememberFailedLogins;
	private Integer notificationsCount;
	private Integer percentageFractionalDecimalPlaces;
	private Integer preventUsingBranchesWhenHeadOfficeIsOnlineTimeout;
	private Integer rateFractionalDecimalPlaces;
	private List<DTOCurrencyTafqeetInfo> tafqeetInfo = new ArrayList<DTOCurrencyTafqeetInfo>();
	private List<DTODoNotReplicateInSites> noReplicationInSites = new ArrayList<DTODoNotReplicateInSites>();
	private List<DTOEmailReceiverSettings> emailReceiverSettings = new ArrayList<DTOEmailReceiverSettings>();
	private List<DTOEmailSenderSettings> emailSettings = new ArrayList<DTOEmailSenderSettings>();
	private List<DTOEntityImageSettings> entityImages = new ArrayList<DTOEntityImageSettings>();
	private List<DTOEntityReviseLevel> entitiesReviseLevels = new ArrayList<DTOEntityReviseLevel>();
	private List<DTOEntityTypeLine> addContactsPageTo = new ArrayList<DTOEntityTypeLine>();
	private List<DTOEntityTypeLine> addDMSDocsTo = new ArrayList<DTOEntityTypeLine>();
	private List<DTOEntityTypeLine> addDetailedRemarksPageTo = new ArrayList<DTOEntityTypeLine>();
	private List<DTOEntityTypeLine> addMeetingRemarksPageTo = new ArrayList<DTOEntityTypeLine>();
	private List<DTOEntityTypeLine> addRemarksPageTo = new ArrayList<DTOEntityTypeLine>();
	private List<DTOEntityTypeLine> addSubsidiaryBalanceTo = new ArrayList<DTOEntityTypeLine>();
	private List<DTOEntityTypeLine> doNotReplicate = new ArrayList<DTOEntityTypeLine>();
	private List<DTOEntityTypeLine> ignoreRecordCapabilitiesIn = new ArrayList<DTOEntityTypeLine>();
	private List<DTOEntityTypeLine> useColorsIn = new ArrayList<DTOEntityTypeLine>();
	private List<DTOFiscalPeriodIgnoreLine> ignoreClosedPeriodsIn = new ArrayList<DTOFiscalPeriodIgnoreLine>();
	private List<DTOHijriField> hijriFields = new ArrayList<DTOHijriField>();
	private List<DTOSMSSenderSettings> smsSettings = new ArrayList<DTOSMSSenderSettings>();
	private Long maxTrialsForMessages;
	private String attachmentShareDriveLetter;
	private String attachmentSharePassword;
	private String attachmentShareURL;
	private String attachmentShareUser;
	private String codeSearchOperator;
	private String companyNameForLoginPage;
	private String currencyPatternInReports;
	private String customDimensionsDescriptionTemplateAr;
	private String customDimensionsDescriptionTemplateEn;
	private String customerPassword;
	private String customerUserName;
	private String datePatternInReports;
	private String dateTimePatternInReports;
	private String defaultLDAPDomain;
	private String defaultValuesExcludedFields;
	private String discount1ApplyType;
	private String discount2ApplyType;
	private String discount3ApplyType;
	private String discount4ApplyType;
	private String discount5ApplyType;
	private String discount6ApplyType;
	private String discount7ApplyType;
	private String discount8ApplyType;
	private String docDefaultMenuItemBehavior;
	private String einvoicePageShowType;
	private String externalAttachmentsFolder;
	private String fifthPriority;
	private String firstPriority;
	private String foldersToCheckSpace;
	private String fourthPriority;
	private String freeLineColor;
	private String googleMapsApiKey;
	private String gridLevel1Color;
	private String gridLevel2Color;
	private String gridLevel3Color;
	private String hTaxLocation;
	private String headerDiscountApplyType;
	private String htaxApplyType;
	private String inValidSentLineStyle;
	private String installmentCodingFormula;
	private String installmentCodingMethod;
	private String ldapServerURL;
	private String legacyUIExtraStyles;
	private String mfDefaultMenuItemBehavior;
	private String namaServerUrl;
	private String name1SearchOperator;
	private String name2SearchOperator;
	private String notificationContent;
	private String overrideSelectedAnalysisSet;
	private String overrideSelectedBranch;
	private String overrideSelectedDepartment;
	private String overrideSelectedLegalEntity;
	private String overrideSelectedSector;
	private String percentPatternInReports;
	private String quantityPatternInReports;
	private String ratePatternInReports;
	private String replicationBookArabicError;
	private String replicationBookEnglishError;
	private String reportsFooterNote1;
	private String reportsFooterNote2;
	private String returnedItemColor;
	private String scannerApp;
	private String scannerProfile;
	private String secondPriority;
	private String sendMailsAndSMSOnlyFromServers;
	private String sendPasswordByMailTemplate;
	private String sendPasswordBySMSTemplate;
	private String sentLineStyle;
	private String seventhPriority;
	private String sixthPriority;
	private String slaveLineColor;
	private String tax1ApplyType;
	private String tax1Location;
	private String tax2ApplyType;
	private String tax2Location;
	private String tax3ApplyType;
	private String tax3Location;
	private String tax4ApplyType;
	private String tax4Location;
	private String taxApplyType;
	private String taxLocation;
	private String thirdPriority;
	private String timePatternInReports;
	private String tooltipPosition;
	private String useColorFor;
	private String userAddRequestWelcomeMessageAr;
	private String userAddRequestWelcomeMessageEn;
	private String userCodeMask;
	private String viewingFormat;
	public BigDecimal getAddedHoursToTime()
	{
		return addedHoursToTime;
	}

	public BigDecimal getApproximationDiscountValue()
	{
		return approximationDiscountValue;
	}

	public BigDecimal getLowMargin()
	{
		return lowMargin;
	}

	public BigDecimal getMaximumDrCrDiffCorrection()
	{
		return maximumDrCrDiffCorrection;
	}

	public BigDecimal getMinDebitCreditValue()
	{
		return minDebitCreditValue;
	}

	public BigDecimal getNotifyWhenEmptySpaceReachesGB()
	{
		return notifyWhenEmptySpaceReachesGB;
	}

	public Boolean getActivateApproximationDiscount()
	{
		return activateApproximationDiscount;
	}

	public Boolean getAddAnalysisSetToCustCredits()
	{
		return addAnalysisSetToCustCredits;
	}

	public Boolean getAddAnalysisSourceToTerms()
	{
		return addAnalysisSourceToTerms;
	}

	public Boolean getAddApprovalStepsToActionHistory()
	{
		return addApprovalStepsToActionHistory;
	}

	public Boolean getAddBranchSourceToTerms()
	{
		return addBranchSourceToTerms;
	}

	public Boolean getAddBranchToCustCredits()
	{
		return addBranchToCustCredits;
	}

	public Boolean getAddCurrencyAndRateSourceToTerms()
	{
		return addCurrencyAndRateSourceToTerms;
	}

	public Boolean getAddDeptSourceToTerms()
	{
		return addDeptSourceToTerms;
	}

	public Boolean getAddDeptToCustCredits()
	{
		return addDeptToCustCredits;
	}

	public Boolean getAddEntityDimSourceToTerms()
	{
		return addEntityDimSourceToTerms;
	}

	public Boolean getAddExportToActionHistory()
	{
		return addExportToActionHistory;
	}

	public Boolean getAddLegalEntityToCustCredits()
	{
		return addLegalEntityToCustCredits;
	}

	public Boolean getAddRef1SourceToTerms()
	{
		return addRef1SourceToTerms;
	}

	public Boolean getAddRef2SourceToTerms()
	{
		return addRef2SourceToTerms;
	}

	public Boolean getAddRef3SourceToTerms()
	{
		return addRef3SourceToTerms;
	}

	public Boolean getAddReportRunsToActionHistory()
	{
		return addReportRunsToActionHistory;
	}

	public Boolean getAddSectorSourceToTerms()
	{
		return addSectorSourceToTerms;
	}

	public Boolean getAddSectorToCustCredits()
	{
		return addSectorToCustCredits;
	}

	public Boolean getAddWorkTasksListToEmployee()
	{
		return addWorkTasksListToEmployee;
	}

	public Boolean getAllowApprovalsOnDocumentsUpdate()
	{
		return allowApprovalsOnDocumentsUpdate;
	}

	public Boolean getAllowChangeSystemReportToNonSystem()
	{
		return allowChangeSystemReportToNonSystem;
	}

	public Boolean getAllowChangingDimsOfDims()
	{
		return allowChangingDimsOfDims;
	}

	public Boolean getAllowDisablingCodeFieldWithSecurity()
	{
		return allowDisablingCodeFieldWithSecurity;
	}

	public Boolean getAllowDownloadAttachmentWithoutAuthentication()
	{
		return allowDownloadAttachmentWithoutAuthentication;
	}

	public Boolean getAllowEmptyPrefixForManualBook()
	{
		return allowEmptyPrefixForManualBook;
	}

	public Boolean getAllowFillingDisabledFieldsWithCreators()
	{
		return allowFillingDisabledFieldsWithCreators;
	}

	public Boolean getAllowPrintingAwaitingApprovalRecords()
	{
		return allowPrintingAwaitingApprovalRecords;
	}

	public Boolean getAllowPrintingDrafts()
	{
		return allowPrintingDrafts;
	}

	public Boolean getAllowReportIfUserAllowedThroughSecurityTableRegardlessOfSecurity()
	{
		return allowReportIfUserAllowedThroughSecurityTableRegardlessOfSecurity;
	}

	public Boolean getAllowReverseDiscountCouponEvenIfUsedInInvoices()
	{
		return allowReverseDiscountCouponEvenIfUsedInInvoices;
	}

	public Boolean getAllowTextWrapInGrids()
	{
		return allowTextWrapInGrids;
	}

	public Boolean getAllowTextWrapInListViews()
	{
		return allowTextWrapInListViews;
	}

	public Boolean getAllowUsingDiscountCouponManyTimesIfPercentageType()
	{
		return allowUsingDiscountCouponManyTimesIfPercentageType;
	}

	public Boolean getAllowValuesChangeOfYear1()
	{
		return allowValuesChangeOfYear1;
	}

	public Boolean getAllowValuesChangeOfYear2()
	{
		return allowValuesChangeOfYear2;
	}

	public Boolean getAllowValuesChangeOfYear3()
	{
		return allowValuesChangeOfYear3;
	}

	public Boolean getAllowValuesChangeOfYear4()
	{
		return allowValuesChangeOfYear4;
	}

	public Boolean getAlwaysUseTextAreaInSerialPopup()
	{
		return alwaysUseTextAreaInSerialPopup;
	}

	public Boolean getAutoLogoutRememberMe()
	{
		return autoLogoutRememberMe;
	}

	public Boolean getAutoLogoutWithMaxSessions()
	{
		return autoLogoutWithMaxSessions;
	}

	public Boolean getCalcDisc1PercentFromValue()
	{
		return calcDisc1PercentFromValue;
	}

	public Boolean getCalcDisc2PercentFromValue()
	{
		return calcDisc2PercentFromValue;
	}

	public Boolean getCalcDisc3PercentFromValue()
	{
		return calcDisc3PercentFromValue;
	}

	public Boolean getCalcDisc4PercentFromValue()
	{
		return calcDisc4PercentFromValue;
	}

	public Boolean getCalcDisc5PercentFromValue()
	{
		return calcDisc5PercentFromValue;
	}

	public Boolean getCalcDisc6PercentFromValue()
	{
		return calcDisc6PercentFromValue;
	}

	public Boolean getCalcDisc7PercentFromValue()
	{
		return calcDisc7PercentFromValue;
	}

	public Boolean getCalcDisc8PercentFromValue()
	{
		return calcDisc8PercentFromValue;
	}

	public Boolean getCalculateCountBasedOnQty()
	{
		return calculateCountBasedOnQty;
	}

	public Boolean getConsiderVouchersPaymentWithApproxDisc()
	{
		return considerVouchersPaymentWithApproxDisc;
	}

	public Boolean getCountPrintsPerUser()
	{
		return countPrintsPerUser;
	}

	public Boolean getCreateAttachmentInfoTable()
	{
		return createAttachmentInfoTable;
	}

	public Boolean getCreateAttachmentPreviewAndThumbnail()
	{
		return createAttachmentPreviewAndThumbnail;
	}

	public Boolean getCreateDMSDocInPopUpWindow()
	{
		return createDMSDocInPopUpWindow;
	}

	public Boolean getCreateEntitySystemEntryForDraftRecord()
	{
		return createEntitySystemEntryForDraftRecord;
	}

	public Boolean getDeductPaymentAndReceiptInRemaining()
	{
		return deductPaymentAndReceiptInRemaining;
	}

	public Boolean getDetailedWorkTasks()
	{
		return detailedWorkTasks;
	}

	public Boolean getDisableWarehousesAdjustment()
	{
		return disableWarehousesAdjustment;
	}

	public Boolean getDisplayPreventedRecords()
	{
		return displayPreventedRecords;
	}

	public Boolean getDisplayRecordsWithUpdateCapabilityToUsers()
	{
		return displayRecordsWithUpdateCapabilityToUsers;
	}

	public Boolean getDmsDocFilterFoldersByLocation()
	{
		return dmsDocFilterFoldersByLocation;
	}

	public Boolean getDoNotAllowSpecifyingDocCode()
	{
		return doNotAllowSpecifyingDocCode;
	}

	public Boolean getDoNotChangeDateWithDuplicate()
	{
		return doNotChangeDateWithDuplicate;
	}

	public Boolean getDoNotCompareRemainingWithPaymentTotalInInvoices()
	{
		return doNotCompareRemainingWithPaymentTotalInInvoices;
	}

	public Boolean getDoNotConsiderDimensionsWhenSearchingForSingleTermBook()
	{
		return doNotConsiderDimensionsWhenSearchingForSingleTermBook;
	}

	public Boolean getDoNotOverrideSalesManWithCustomer()
	{
		return doNotOverrideSalesManWithCustomer;
	}

	public Boolean getDoNotPreventModifyingDocsBeforeLastCloseEntry()
	{
		return doNotPreventModifyingDocsBeforeLastCloseEntry;
	}

	public Boolean getDoNotUseDescriptorsInFields()
	{
		return doNotUseDescriptorsInFields;
	}

	public Boolean getDoNotUseTax1PercentageAsAdditionalValue1()
	{
		return doNotUseTax1PercentageAsAdditionalValue1;
	}

	public Boolean getDoNotUseTax2PercentageAsAdditionalValue2()
	{
		return doNotUseTax2PercentageAsAdditionalValue2;
	}

	public Boolean getDoNotUseTax3PercentageAsAdditionalValue3()
	{
		return doNotUseTax3PercentageAsAdditionalValue3;
	}

	public Boolean getDoNotUseTax4PercentageAsAdditionalValue4()
	{
		return doNotUseTax4PercentageAsAdditionalValue4;
	}

	public Boolean getDoNotUseTodayAndYesterdayForDates()
	{
		return doNotUseTodayAndYesterdayForDates;
	}

	public Boolean getDoNotdispPrevRecInListView()
	{
		return doNotdispPrevRecInListView;
	}

	public Boolean getDonotReplicateAttachments()
	{
		return donotReplicateAttachments;
	}

	public Boolean getDontDisplayContractorType()
	{
		return dontDisplayContractorType;
	}

	public Boolean getDontDisplayCustomerType()
	{
		return dontDisplayCustomerType;
	}

	public Boolean getDontDisplayEmployeeType()
	{
		return dontDisplayEmployeeType;
	}

	public Boolean getDontDisplaySupplierType()
	{
		return dontDisplaySupplierType;
	}

	public Boolean getDontUpdateReportNotASystemReportButHaveSameCodeOfSystemReport()
	{
		return dontUpdateReportNotASystemReportButHaveSameCodeOfSystemReport;
	}

	public Boolean getEnablePresendRequestsForCostLedger()
	{
		return enablePresendRequestsForCostLedger;
	}

	public Boolean getEnableRecordViewEntityFlows()
	{
		return enableRecordViewEntityFlows;
	}

	public Boolean getExportDraftVersion()
	{
		return exportDraftVersion;
	}

	public Boolean getExternalizeAttachments()
	{
		return externalizeAttachments;
	}

	public Boolean getFetchReviewedAndApprovedReportsOnlyWhenUpdateSystemReports()
	{
		return fetchReviewedAndApprovedReportsOnlyWhenUpdateSystemReports;
	}

	public Boolean getFixMenuAsSideBar()
	{
		return fixMenuAsSideBar;
	}

	public Boolean getHideCountColumnInSelectorPopup()
	{
		return hideCountColumnInSelectorPopup;
	}

	public Boolean getHideSelectColumnInSelectorPopup()
	{
		return hideSelectColumnInSelectorPopup;
	}

	public Boolean getHtax2IsDiscount()
	{
		return htax2IsDiscount;
	}

	public Boolean getIfSingleBookIsDefinedForEntityUseItWithNew()
	{
		return ifSingleBookIsDefinedForEntityUseItWithNew;
	}

	public Boolean getIfSingleTermIsDefinedForEntityUseItWithNew()
	{
		return ifSingleTermIsDefinedForEntityUseItWithNew;
	}

	public Boolean getIgnoreDimensionsConsistency()
	{
		return ignoreDimensionsConsistency;
	}

	public Boolean getIgnoreRecordCapabilitiesInAllListViews()
	{
		return ignoreRecordCapabilitiesInAllListViews;
	}

	public Boolean getLogExportsToDB()
	{
		return logExportsToDB;
	}

	public Boolean getLogFormsToReportLog()
	{
		return logFormsToReportLog;
	}

	public Boolean getLogParametersToDB()
	{
		return logParametersToDB;
	}

	public Boolean getLogReportPerformanceToDB()
	{
		return logReportPerformanceToDB;
	}

	public Boolean getMergeAlternateSecurityProfilesIntoMainUser()
	{
		return mergeAlternateSecurityProfilesIntoMainUser;
	}

	public Boolean getMustSelectEntityInSearchInBeforeSearchOnServer()
	{
		return mustSelectEntityInSearchInBeforeSearchOnServer;
	}

	public Boolean getNoTaxesForFreeItem()
	{
		return noTaxesForFreeItem;
	}

	public Boolean getOpenPrintInBrowserWindow()
	{
		return openPrintInBrowserWindow;
	}

	public Boolean getPrevUserToRunSameRepMultipleTimes()
	{
		return prevUserToRunSameRepMultipleTimes;
	}

	public Boolean getPreventManualCoding()
	{
		return preventManualCoding;
	}

	public Boolean getPreventSamePasswordWhenChanging()
	{
		return preventSamePasswordWhenChanging;
	}

	public Boolean getPreventUpdateDocAndRelatedDocInApproval()
	{
		return preventUpdateDocAndRelatedDocInApproval;
	}

	public Boolean getPreventUsingBranchesWhenHeadOfficeIsOnline()
	{
		return preventUsingBranchesWhenHeadOfficeIsOnline;
	}

	public Boolean getPriceIncludesTax()
	{
		return priceIncludesTax;
	}

	public Boolean getPriceIncludesTax2()
	{
		return priceIncludesTax2;
	}

	public Boolean getPriceIncludesTax3()
	{
		return priceIncludesTax3;
	}

	public Boolean getPriceIncludesTax4()
	{
		return priceIncludesTax4;
	}

	public Boolean getPrintUsingNamaServer()
	{
		return printUsingNamaServer;
	}

	public Boolean getRequestReCommitAfterFailures()
	{
		return requestReCommitAfterFailures;
	}

	public Boolean getRotateSenderEmails()
	{
		return rotateSenderEmails;
	}

	public Boolean getSalesManSearch()
	{
		return salesManSearch;
	}

	public Boolean getSearchWithConnectedNamesInRefs()
	{
		return searchWithConnectedNamesInRefs;
	}

	public Boolean getShouldRedirectEditView()
	{
		return shouldRedirectEditView;
	}

	public Boolean getShowCompanyNameNextToLogo()
	{
		return showCompanyNameNextToLogo;
	}

	public Boolean getShowFullTermConfig()
	{
		return showFullTermConfig;
	}

	public Boolean getShowOldBarcodeMenu()
	{
		return showOldBarcodeMenu;
	}

	public Boolean getShowOnlyCurrentDimensionBooks()
	{
		return showOnlyCurrentDimensionBooks;
	}

	public Boolean getShowPublicDocumentsToAll()
	{
		return showPublicDocumentsToAll;
	}

	public Boolean getShowSearchInForTopPanel()
	{
		return showSearchInForTopPanel;
	}

	public Boolean getSmartArabicSearchInContains()
	{
		return smartArabicSearchInContains;
	}

	public Boolean getStartAlwaysByNewGui()
	{
		return startAlwaysByNewGui;
	}

	public Boolean getStartInMobileByNewGui()
	{
		return startInMobileByNewGui;
	}

	public Boolean getSubsidiaryCurrencyShouldMatchAccountsCurrency()
	{
		return subsidiaryCurrencyShouldMatchAccountsCurrency;
	}

	public Boolean getTax1IsDiscount()
	{
		return tax1IsDiscount;
	}

	public Boolean getTax1IsValue()
	{
		return tax1IsValue;
	}

	public Boolean getTax1NotIncludedInTotal()
	{
		return tax1NotIncludedInTotal;
	}

	public Boolean getTax1ValueIsForTotal()
	{
		return tax1ValueIsForTotal;
	}

	public Boolean getTax2IsDiscount()
	{
		return tax2IsDiscount;
	}

	public Boolean getTax2IsValue()
	{
		return tax2IsValue;
	}

	public Boolean getTax2NotIncludedInTotal()
	{
		return tax2NotIncludedInTotal;
	}

	public Boolean getTax2ValueIsForTotal()
	{
		return tax2ValueIsForTotal;
	}

	public Boolean getTax3IsDiscount()
	{
		return tax3IsDiscount;
	}

	public Boolean getTax3IsValue()
	{
		return tax3IsValue;
	}

	public Boolean getTax3NotIncludedInTotal()
	{
		return tax3NotIncludedInTotal;
	}

	public Boolean getTax3ValueIsForTotal()
	{
		return tax3ValueIsForTotal;
	}

	public Boolean getTax4IsDiscount()
	{
		return tax4IsDiscount;
	}

	public Boolean getTax4IsValue()
	{
		return tax4IsValue;
	}

	public Boolean getTax4NotIncludedInTotal()
	{
		return tax4NotIncludedInTotal;
	}

	public Boolean getTax4ValueIsForTotal()
	{
		return tax4ValueIsForTotal;
	}

	public Boolean getUnlimtedAllowedBooksInTerms()
	{
		return unlimtedAllowedBooksInTerms;
	}

	public Boolean getUpperAndLowerCase()
	{
		return upperAndLowerCase;
	}

	public Boolean getUseAccount10()
	{
		return useAccount10;
	}

	public Boolean getUseAccount11()
	{
		return useAccount11;
	}

	public Boolean getUseAccount12()
	{
		return useAccount12;
	}

	public Boolean getUseAccount13()
	{
		return useAccount13;
	}

	public Boolean getUseAccount14()
	{
		return useAccount14;
	}

	public Boolean getUseAccount15()
	{
		return useAccount15;
	}

	public Boolean getUseAccount16()
	{
		return useAccount16;
	}

	public Boolean getUseAccount17()
	{
		return useAccount17;
	}

	public Boolean getUseAccount18()
	{
		return useAccount18;
	}

	public Boolean getUseAccount19()
	{
		return useAccount19;
	}

	public Boolean getUseAccount20()
	{
		return useAccount20;
	}

	public Boolean getUseAccount6()
	{
		return useAccount6;
	}

	public Boolean getUseAccount7()
	{
		return useAccount7;
	}

	public Boolean getUseAccount8()
	{
		return useAccount8;
	}

	public Boolean getUseAccount9()
	{
		return useAccount9;
	}

	public Boolean getUseAdobeSyntaxForPDFPrinting()
	{
		return useAdobeSyntaxForPDFPrinting;
	}

	public Boolean getUseAnalysisSetInReplication()
	{
		return useAnalysisSetInReplication;
	}

	public Boolean getUseBackgroundImage()
	{
		return useBackgroundImage;
	}

	public Boolean getUseBranchInReplication()
	{
		return useBranchInReplication;
	}

	public Boolean getUseCurrentUserAsSalesMan()
	{
		return useCurrentUserAsSalesMan;
	}

	public Boolean getUseDepartmentInReplication()
	{
		return useDepartmentInReplication;
	}

	public Boolean getUseDetailedGridsInMobile()
	{
		return useDetailedGridsInMobile;
	}

	public Boolean getUseEnglishCRMTroubleTicketChangeTemplate()
	{
		return useEnglishCRMTroubleTicketChangeTemplate;
	}

	public Boolean getUseEntityCodeForFileName()
	{
		return useEntityCodeForFileName;
	}

	public Boolean getUseEntityLegalEntityLogoWhenPrintForm()
	{
		return useEntityLegalEntityLogoWhenPrintForm;
	}

	public Boolean getUseEscalateToSpecificEmployee()
	{
		return useEscalateToSpecificEmployee;
	}

	public Boolean getUseEscalateToSupervisor()
	{
		return useEscalateToSupervisor;
	}

	public Boolean getUseFrenchInsteadOfEnglish()
	{
		return useFrenchInsteadOfEnglish;
	}

	public Boolean getUseKendoRichEditor()
	{
		return useKendoRichEditor;
	}

	public Boolean getUseLDAPForUsersLogin()
	{
		return useLDAPForUsersLogin;
	}

	public Boolean getUseLegacyPrintingCodeInPDF()
	{
		return useLegacyPrintingCodeInPDF;
	}

	public Boolean getUseLegalEntityInReplication()
	{
		return useLegalEntityInReplication;
	}

	public Boolean getUseNextRealNumberForDrafts()
	{
		return useNextRealNumberForDrafts;
	}

	public Boolean getUsePayReceiptDocsSysEntries()
	{
		return usePayReceiptDocsSysEntries;
	}

	public Boolean getUseRejectDecision()
	{
		return useRejectDecision;
	}

	public Boolean getUseReturnDecision()
	{
		return useReturnDecision;
	}

	public Boolean getUseReturnToPreviousStep()
	{
		return useReturnToPreviousStep;
	}

	public Boolean getUseReviseDocumentForAllEntities()
	{
		return useReviseDocumentForAllEntities;
	}

	public Boolean getUseSalesManAsEmployeeForPriceLists()
	{
		return useSalesManAsEmployeeForPriceLists;
	}

	public Boolean getUseSectorInReplication()
	{
		return useSectorInReplication;
	}

	public Boolean getUseToPeriodInFinancialBudget()
	{
		return useToPeriodInFinancialBudget;
	}

	public Boolean getUseUserPhoneAsCode()
	{
		return useUserPhoneAsCode;
	}

	public Boolean getWhenPublicLegalEntitySearchLegalEntityLogoInReportParameters()
	{
		return whenPublicLegalEntitySearchLegalEntityLogoInReportParameters;
	}

	public DTODocumentCoverterSettings getDocConverterSettings()
	{
		return docConverterSettings;
	}

	public DTOExcelExportConfig getExcelExportConfig()
	{
		return excelExportConfig;
	}

	public DTOFontInfo getFontInfo()
	{
		return fontInfo;
	}

	public DTOHijriFormatInfo getHijriFormat()
	{
		return hijriFormat;
	}

	public DTOItemCodingFormula getItemCodingFormula()
	{
		return itemCodingFormula;
	}

	public DTOMailSercerSettings getMailServerSettings()
	{
		return mailServerSettings;
	}

	public DTOTaxEffectOnDiscount getDiscount1()
	{
		return discount1;
	}

	public DTOTaxEffectOnDiscount getDiscount2()
	{
		return discount2;
	}

	public DTOTaxEffectOnDiscount getDiscount3()
	{
		return discount3;
	}

	public DTOTaxEffectOnDiscount getDiscount4()
	{
		return discount4;
	}

	public DTOTaxEffectOnDiscount getDiscount5()
	{
		return discount5;
	}

	public DTOTaxEffectOnDiscount getDiscount6()
	{
		return discount6;
	}

	public DTOTaxEffectOnDiscount getDiscount7()
	{
		return discount7;
	}

	public DTOTaxEffectOnDiscount getDiscount8()
	{
		return discount8;
	}

	public DTOTaxesCodes getTaxesCodes()
	{
		return taxesCodes;
	}

	public DTOTrackDebtAges getTrackDebtAgesOn()
	{
		return trackDebtAgesOn;
	}

	public Date getReplicationCleanUpTime()
	{
		return replicationCleanUpTime;
	}

	public Date getSysHelpsLastReadDate()
	{
		return sysHelpsLastReadDate;
	}

	public EntityReferenceData getDefaultTaxPlanForItemPrice()
	{
		return defaultTaxPlanForItemPrice;
	}

	public EntityReferenceData getEffectsConfig()
	{
		return effectsConfig;
	}

	public EntityReferenceData getFailedPendingTasksNotification()
	{
		return failedPendingTasksNotification;
	}

	public EntityReferenceData getUseLedgerCalendarForYearStartAndEndInReports()
	{
		return useLedgerCalendarForYearStartAndEndInReports;
	}

	public EntityReferenceData getUseLogoForPublic()
	{
		return useLogoForPublic;
	}

	public EntityReferenceData getUserAddRequestBook()
	{
		return userAddRequestBook;
	}

	public EntityReferenceData getUserAddRequestTerm()
	{
		return userAddRequestTerm;
	}

	public Integer getAutoLogoutTime()
	{
		return autoLogoutTime;
	}

	public Integer getDefaultDisplayDecimalPlaces()
	{
		return defaultDisplayDecimalPlaces;
	}

	public Integer getDefaultReviseLevel()
	{
		return defaultReviseLevel;
	}

	public Integer getLinesCountInGrids()
	{
		return linesCountInGrids;
	}

	public Integer getMaxExportCount()
	{
		return maxExportCount;
	}

	public Integer getMaxFailedLoginAttempts()
	{
		return maxFailedLoginAttempts;
	}

	public Integer getMaxLinesCount()
	{
		return maxLinesCount;
	}

	public Integer getMaxLinesPerGeneratedDoc()
	{
		return maxLinesPerGeneratedDoc;
	}

	public Integer getMaxListPageMatchingRefCountPerUser()
	{
		return maxListPageMatchingRefCountPerUser;
	}

	public Integer getMaxListViewCountPerUser()
	{
		return maxListViewCountPerUser;
	}

	public Integer getMaxLoginSessions()
	{
		return maxLoginSessions;
	}

	public Integer getMaxMinutesToExecuteSqlFieldQuery()
	{
		return maxMinutesToExecuteSqlFieldQuery;
	}

	public Integer getMaxRecordsPerPageForListViews()
	{
		return maxRecordsPerPageForListViews;
	}

	public Integer getMaxRetrayNumForPendingTasks()
	{
		return maxRetrayNumForPendingTasks;
	}

	public Integer getMaxSecondsToExecuteDashboardQuery()
	{
		return maxSecondsToExecuteDashboardQuery;
	}

	public Integer getMaxSecondsToExecuteListPageQueries()
	{
		return maxSecondsToExecuteListPageQueries;
	}

	public Integer getMaxSecondsToExecuteListViewQueries()
	{
		return maxSecondsToExecuteListViewQueries;
	}

	public Integer getMaxSecondsToExecuteReportsQueries()
	{
		return maxSecondsToExecuteReportsQueries;
	}

	public Integer getMaxSecondsToExecuteSqlFieldQuery()
	{
		return maxSecondsToExecuteSqlFieldQuery;
	}

	public Integer getMaxSecondsToExecuteUserTimedQueries()
	{
		return maxSecondsToExecuteUserTimedQueries;
	}

	public Integer getMinAlphaChars()
	{
		return minAlphaChars;
	}

	public Integer getMinNumbersChars()
	{
		return minNumbersChars;
	}

	public Integer getMinPasswordLength()
	{
		return minPasswordLength;
	}

	public Integer getMinSpecialChars()
	{
		return minSpecialChars;
	}

	public Integer getMinutesToRememberFailedLogins()
	{
		return minutesToRememberFailedLogins;
	}

	public Integer getNotificationsCount()
	{
		return notificationsCount;
	}

	public Integer getPercentageFractionalDecimalPlaces()
	{
		return percentageFractionalDecimalPlaces;
	}

	public Integer getPreventUsingBranchesWhenHeadOfficeIsOnlineTimeout()
	{
		return preventUsingBranchesWhenHeadOfficeIsOnlineTimeout;
	}

	public Integer getRateFractionalDecimalPlaces()
	{
		return rateFractionalDecimalPlaces;
	}

	public List<DTOCurrencyTafqeetInfo> getTafqeetInfo()
	{
		return tafqeetInfo;
	}

	public List<DTODoNotReplicateInSites> getNoReplicationInSites()
	{
		return noReplicationInSites;
	}

	public List<DTOEmailReceiverSettings> getEmailReceiverSettings()
	{
		return emailReceiverSettings;
	}

	public List<DTOEmailSenderSettings> getEmailSettings()
	{
		return emailSettings;
	}

	public List<DTOEntityImageSettings> getEntityImages()
	{
		return entityImages;
	}

	public List<DTOEntityReviseLevel> getEntitiesReviseLevels()
	{
		return entitiesReviseLevels;
	}

	public List<DTOEntityTypeLine> getAddContactsPageTo()
	{
		return addContactsPageTo;
	}

	public List<DTOEntityTypeLine> getAddDMSDocsTo()
	{
		return addDMSDocsTo;
	}

	public List<DTOEntityTypeLine> getAddDetailedRemarksPageTo()
	{
		return addDetailedRemarksPageTo;
	}

	public List<DTOEntityTypeLine> getAddMeetingRemarksPageTo()
	{
		return addMeetingRemarksPageTo;
	}

	public List<DTOEntityTypeLine> getAddRemarksPageTo()
	{
		return addRemarksPageTo;
	}

	public List<DTOEntityTypeLine> getAddSubsidiaryBalanceTo()
	{
		return addSubsidiaryBalanceTo;
	}

	public List<DTOEntityTypeLine> getDoNotReplicate()
	{
		return doNotReplicate;
	}

	public List<DTOEntityTypeLine> getIgnoreRecordCapabilitiesIn()
	{
		return ignoreRecordCapabilitiesIn;
	}

	public List<DTOEntityTypeLine> getUseColorsIn()
	{
		return useColorsIn;
	}

	public List<DTOFiscalPeriodIgnoreLine> getIgnoreClosedPeriodsIn()
	{
		return ignoreClosedPeriodsIn;
	}

	public List<DTOHijriField> getHijriFields()
	{
		return hijriFields;
	}

	public List<DTOSMSSenderSettings> getSmsSettings()
	{
		return smsSettings;
	}

	public Long getMaxTrialsForMessages()
	{
		return maxTrialsForMessages;
	}

	public String getAttachmentShareDriveLetter()
	{
		return attachmentShareDriveLetter;
	}

	public String getAttachmentSharePassword()
	{
		return attachmentSharePassword;
	}

	public String getAttachmentShareURL()
	{
		return attachmentShareURL;
	}

	public String getAttachmentShareUser()
	{
		return attachmentShareUser;
	}

	public String getCodeSearchOperator()
	{
		return codeSearchOperator;
	}

	public String getCompanyNameForLoginPage()
	{
		return companyNameForLoginPage;
	}

	public String getCurrencyPatternInReports()
	{
		return currencyPatternInReports;
	}

	public String getCustomDimensionsDescriptionTemplateAr()
	{
		return customDimensionsDescriptionTemplateAr;
	}

	public String getCustomDimensionsDescriptionTemplateEn()
	{
		return customDimensionsDescriptionTemplateEn;
	}

	public String getCustomerPassword()
	{
		return customerPassword;
	}

	public String getCustomerUserName()
	{
		return customerUserName;
	}

	public String getDatePatternInReports()
	{
		return datePatternInReports;
	}

	public String getDateTimePatternInReports()
	{
		return dateTimePatternInReports;
	}

	public String getDefaultLDAPDomain()
	{
		return defaultLDAPDomain;
	}

	public String getDefaultValuesExcludedFields()
	{
		return defaultValuesExcludedFields;
	}

	public String getDiscount1ApplyType()
	{
		return discount1ApplyType;
	}

	public String getDiscount2ApplyType()
	{
		return discount2ApplyType;
	}

	public String getDiscount3ApplyType()
	{
		return discount3ApplyType;
	}

	public String getDiscount4ApplyType()
	{
		return discount4ApplyType;
	}

	public String getDiscount5ApplyType()
	{
		return discount5ApplyType;
	}

	public String getDiscount6ApplyType()
	{
		return discount6ApplyType;
	}

	public String getDiscount7ApplyType()
	{
		return discount7ApplyType;
	}

	public String getDiscount8ApplyType()
	{
		return discount8ApplyType;
	}

	public String getDocDefaultMenuItemBehavior()
	{
		return docDefaultMenuItemBehavior;
	}

	public String getEinvoicePageShowType()
	{
		return einvoicePageShowType;
	}

	public String getExternalAttachmentsFolder()
	{
		return externalAttachmentsFolder;
	}

	public String getFifthPriority()
	{
		return fifthPriority;
	}

	public String getFirstPriority()
	{
		return firstPriority;
	}

	public String getFoldersToCheckSpace()
	{
		return foldersToCheckSpace;
	}

	public String getFourthPriority()
	{
		return fourthPriority;
	}

	public String getFreeLineColor()
	{
		return freeLineColor;
	}

	public String getGoogleMapsApiKey()
	{
		return googleMapsApiKey;
	}

	public String getGridLevel1Color()
	{
		return gridLevel1Color;
	}

	public String getGridLevel2Color()
	{
		return gridLevel2Color;
	}

	public String getGridLevel3Color()
	{
		return gridLevel3Color;
	}

	public String getHTaxLocation()
	{
		return hTaxLocation;
	}

	public String getHeaderDiscountApplyType()
	{
		return headerDiscountApplyType;
	}

	public String getHtaxApplyType()
	{
		return htaxApplyType;
	}

	public String getInValidSentLineStyle()
	{
		return inValidSentLineStyle;
	}

	public String getInstallmentCodingFormula()
	{
		return installmentCodingFormula;
	}

	public String getInstallmentCodingMethod()
	{
		return installmentCodingMethod;
	}

	public String getLdapServerURL()
	{
		return ldapServerURL;
	}

	public String getLegacyUIExtraStyles()
	{
		return legacyUIExtraStyles;
	}

	public String getMfDefaultMenuItemBehavior()
	{
		return mfDefaultMenuItemBehavior;
	}

	public String getNamaServerUrl()
	{
		return namaServerUrl;
	}

	public String getName1SearchOperator()
	{
		return name1SearchOperator;
	}

	public String getName2SearchOperator()
	{
		return name2SearchOperator;
	}

	public String getNotificationContent()
	{
		return notificationContent;
	}

	public String getOverrideSelectedAnalysisSet()
	{
		return overrideSelectedAnalysisSet;
	}

	public String getOverrideSelectedBranch()
	{
		return overrideSelectedBranch;
	}

	public String getOverrideSelectedDepartment()
	{
		return overrideSelectedDepartment;
	}

	public String getOverrideSelectedLegalEntity()
	{
		return overrideSelectedLegalEntity;
	}

	public String getOverrideSelectedSector()
	{
		return overrideSelectedSector;
	}

	public String getPercentPatternInReports()
	{
		return percentPatternInReports;
	}

	public String getQuantityPatternInReports()
	{
		return quantityPatternInReports;
	}

	public String getRatePatternInReports()
	{
		return ratePatternInReports;
	}

	public String getReplicationBookArabicError()
	{
		return replicationBookArabicError;
	}

	public String getReplicationBookEnglishError()
	{
		return replicationBookEnglishError;
	}

	public String getReportsFooterNote1()
	{
		return reportsFooterNote1;
	}

	public String getReportsFooterNote2()
	{
		return reportsFooterNote2;
	}

	public String getReturnedItemColor()
	{
		return returnedItemColor;
	}

	public String getScannerApp()
	{
		return scannerApp;
	}

	public String getScannerProfile()
	{
		return scannerProfile;
	}

	public String getSecondPriority()
	{
		return secondPriority;
	}

	public String getSendMailsAndSMSOnlyFromServers()
	{
		return sendMailsAndSMSOnlyFromServers;
	}

	public String getSendPasswordByMailTemplate()
	{
		return sendPasswordByMailTemplate;
	}

	public String getSendPasswordBySMSTemplate()
	{
		return sendPasswordBySMSTemplate;
	}

	public String getSentLineStyle()
	{
		return sentLineStyle;
	}

	public String getSeventhPriority()
	{
		return seventhPriority;
	}

	public String getSixthPriority()
	{
		return sixthPriority;
	}

	public String getSlaveLineColor()
	{
		return slaveLineColor;
	}

	public String getTax1ApplyType()
	{
		return tax1ApplyType;
	}

	public String getTax1Location()
	{
		return tax1Location;
	}

	public String getTax2ApplyType()
	{
		return tax2ApplyType;
	}

	public String getTax2Location()
	{
		return tax2Location;
	}

	public String getTax3ApplyType()
	{
		return tax3ApplyType;
	}

	public String getTax3Location()
	{
		return tax3Location;
	}

	public String getTax4ApplyType()
	{
		return tax4ApplyType;
	}

	public String getTax4Location()
	{
		return tax4Location;
	}

	public String getTaxApplyType()
	{
		return taxApplyType;
	}

	public String getTaxLocation()
	{
		return taxLocation;
	}

	public String getThirdPriority()
	{
		return thirdPriority;
	}

	public String getTimePatternInReports()
	{
		return timePatternInReports;
	}

	public String getTooltipPosition()
	{
		return tooltipPosition;
	}

	public String getUseColorFor()
	{
		return useColorFor;
	}

	public String getUserAddRequestWelcomeMessageAr()
	{
		return userAddRequestWelcomeMessageAr;
	}

	public String getUserAddRequestWelcomeMessageEn()
	{
		return userAddRequestWelcomeMessageEn;
	}

	public String getUserCodeMask()
	{
		return userCodeMask;
	}

	public String getViewingFormat()
	{
		return viewingFormat;
	}

	public void setActivateApproximationDiscount(Boolean activateApproximationDiscount)
	{
		this.activateApproximationDiscount = activateApproximationDiscount;
	}

	public void setAddAnalysisSetToCustCredits(Boolean addAnalysisSetToCustCredits)
	{
		this.addAnalysisSetToCustCredits = addAnalysisSetToCustCredits;
	}

	public void setAddAnalysisSourceToTerms(Boolean addAnalysisSourceToTerms)
	{
		this.addAnalysisSourceToTerms = addAnalysisSourceToTerms;
	}

	public void setAddApprovalStepsToActionHistory(Boolean addApprovalStepsToActionHistory)
	{
		this.addApprovalStepsToActionHistory = addApprovalStepsToActionHistory;
	}

	public void setAddBranchSourceToTerms(Boolean addBranchSourceToTerms)
	{
		this.addBranchSourceToTerms = addBranchSourceToTerms;
	}

	public void setAddBranchToCustCredits(Boolean addBranchToCustCredits)
	{
		this.addBranchToCustCredits = addBranchToCustCredits;
	}

	public void setAddContactsPageTo(List<DTOEntityTypeLine> addContactsPageTo)
	{
		this.addContactsPageTo = addContactsPageTo;
	}

	public void setAddCurrencyAndRateSourceToTerms(Boolean addCurrencyAndRateSourceToTerms)
	{
		this.addCurrencyAndRateSourceToTerms = addCurrencyAndRateSourceToTerms;
	}

	public void setAddDMSDocsTo(List<DTOEntityTypeLine> addDMSDocsTo)
	{
		this.addDMSDocsTo = addDMSDocsTo;
	}

	public void setAddDeptSourceToTerms(Boolean addDeptSourceToTerms)
	{
		this.addDeptSourceToTerms = addDeptSourceToTerms;
	}

	public void setAddDeptToCustCredits(Boolean addDeptToCustCredits)
	{
		this.addDeptToCustCredits = addDeptToCustCredits;
	}

	public void setAddDetailedRemarksPageTo(List<DTOEntityTypeLine> addDetailedRemarksPageTo)
	{
		this.addDetailedRemarksPageTo = addDetailedRemarksPageTo;
	}

	public void setAddEntityDimSourceToTerms(Boolean addEntityDimSourceToTerms)
	{
		this.addEntityDimSourceToTerms = addEntityDimSourceToTerms;
	}

	public void setAddExportToActionHistory(Boolean addExportToActionHistory)
	{
		this.addExportToActionHistory = addExportToActionHistory;
	}

	public void setAddLegalEntityToCustCredits(Boolean addLegalEntityToCustCredits)
	{
		this.addLegalEntityToCustCredits = addLegalEntityToCustCredits;
	}

	public void setAddMeetingRemarksPageTo(List<DTOEntityTypeLine> addMeetingRemarksPageTo)
	{
		this.addMeetingRemarksPageTo = addMeetingRemarksPageTo;
	}

	public void setAddRef1SourceToTerms(Boolean addRef1SourceToTerms)
	{
		this.addRef1SourceToTerms = addRef1SourceToTerms;
	}

	public void setAddRef2SourceToTerms(Boolean addRef2SourceToTerms)
	{
		this.addRef2SourceToTerms = addRef2SourceToTerms;
	}

	public void setAddRef3SourceToTerms(Boolean addRef3SourceToTerms)
	{
		this.addRef3SourceToTerms = addRef3SourceToTerms;
	}

	public void setAddRemarksPageTo(List<DTOEntityTypeLine> addRemarksPageTo)
	{
		this.addRemarksPageTo = addRemarksPageTo;
	}

	public void setAddReportRunsToActionHistory(Boolean addReportRunsToActionHistory)
	{
		this.addReportRunsToActionHistory = addReportRunsToActionHistory;
	}

	public void setAddSectorSourceToTerms(Boolean addSectorSourceToTerms)
	{
		this.addSectorSourceToTerms = addSectorSourceToTerms;
	}

	public void setAddSectorToCustCredits(Boolean addSectorToCustCredits)
	{
		this.addSectorToCustCredits = addSectorToCustCredits;
	}

	public void setAddSubsidiaryBalanceTo(List<DTOEntityTypeLine> addSubsidiaryBalanceTo)
	{
		this.addSubsidiaryBalanceTo = addSubsidiaryBalanceTo;
	}

	public void setAddWorkTasksListToEmployee(Boolean addWorkTasksListToEmployee)
	{
		this.addWorkTasksListToEmployee = addWorkTasksListToEmployee;
	}

	public void setAddedHoursToTime(BigDecimal addedHoursToTime)
	{
		this.addedHoursToTime = addedHoursToTime;
	}

	public void setAllowApprovalsOnDocumentsUpdate(Boolean allowApprovalsOnDocumentsUpdate)
	{
		this.allowApprovalsOnDocumentsUpdate = allowApprovalsOnDocumentsUpdate;
	}

	public void setAllowChangeSystemReportToNonSystem(Boolean allowChangeSystemReportToNonSystem)
	{
		this.allowChangeSystemReportToNonSystem = allowChangeSystemReportToNonSystem;
	}

	public void setAllowChangingDimsOfDims(Boolean allowChangingDimsOfDims)
	{
		this.allowChangingDimsOfDims = allowChangingDimsOfDims;
	}

	public void setAllowDisablingCodeFieldWithSecurity(Boolean allowDisablingCodeFieldWithSecurity)
	{
		this.allowDisablingCodeFieldWithSecurity = allowDisablingCodeFieldWithSecurity;
	}

	public void setAllowDownloadAttachmentWithoutAuthentication(Boolean allowDownloadAttachmentWithoutAuthentication)
	{
		this.allowDownloadAttachmentWithoutAuthentication = allowDownloadAttachmentWithoutAuthentication;
	}

	public void setAllowEmptyPrefixForManualBook(Boolean allowEmptyPrefixForManualBook)
	{
		this.allowEmptyPrefixForManualBook = allowEmptyPrefixForManualBook;
	}

	public void setAllowFillingDisabledFieldsWithCreators(Boolean allowFillingDisabledFieldsWithCreators)
	{
		this.allowFillingDisabledFieldsWithCreators = allowFillingDisabledFieldsWithCreators;
	}

	public void setAllowPrintingAwaitingApprovalRecords(Boolean allowPrintingAwaitingApprovalRecords)
	{
		this.allowPrintingAwaitingApprovalRecords = allowPrintingAwaitingApprovalRecords;
	}

	public void setAllowPrintingDrafts(Boolean allowPrintingDrafts)
	{
		this.allowPrintingDrafts = allowPrintingDrafts;
	}

	public void setAllowReportIfUserAllowedThroughSecurityTableRegardlessOfSecurity(Boolean allowReportIfUserAllowedThroughSecurityTableRegardlessOfSecurity)
	{
		this.allowReportIfUserAllowedThroughSecurityTableRegardlessOfSecurity = allowReportIfUserAllowedThroughSecurityTableRegardlessOfSecurity;
	}

	public void setAllowReverseDiscountCouponEvenIfUsedInInvoices(Boolean allowReverseDiscountCouponEvenIfUsedInInvoices)
	{
		this.allowReverseDiscountCouponEvenIfUsedInInvoices = allowReverseDiscountCouponEvenIfUsedInInvoices;
	}

	public void setAllowTextWrapInGrids(Boolean allowTextWrapInGrids)
	{
		this.allowTextWrapInGrids = allowTextWrapInGrids;
	}

	public void setAllowTextWrapInListViews(Boolean allowTextWrapInListViews)
	{
		this.allowTextWrapInListViews = allowTextWrapInListViews;
	}

	public void setAllowUsingDiscountCouponManyTimesIfPercentageType(Boolean allowUsingDiscountCouponManyTimesIfPercentageType)
	{
		this.allowUsingDiscountCouponManyTimesIfPercentageType = allowUsingDiscountCouponManyTimesIfPercentageType;
	}

	public void setAllowValuesChangeOfYear1(Boolean allowValuesChangeOfYear1)
	{
		this.allowValuesChangeOfYear1 = allowValuesChangeOfYear1;
	}

	public void setAllowValuesChangeOfYear2(Boolean allowValuesChangeOfYear2)
	{
		this.allowValuesChangeOfYear2 = allowValuesChangeOfYear2;
	}

	public void setAllowValuesChangeOfYear3(Boolean allowValuesChangeOfYear3)
	{
		this.allowValuesChangeOfYear3 = allowValuesChangeOfYear3;
	}

	public void setAllowValuesChangeOfYear4(Boolean allowValuesChangeOfYear4)
	{
		this.allowValuesChangeOfYear4 = allowValuesChangeOfYear4;
	}

	public void setAlwaysUseTextAreaInSerialPopup(Boolean alwaysUseTextAreaInSerialPopup)
	{
		this.alwaysUseTextAreaInSerialPopup = alwaysUseTextAreaInSerialPopup;
	}

	public void setApproximationDiscountValue(BigDecimal approximationDiscountValue)
	{
		this.approximationDiscountValue = approximationDiscountValue;
	}

	public void setAttachmentShareDriveLetter(String attachmentShareDriveLetter)
	{
		this.attachmentShareDriveLetter = attachmentShareDriveLetter;
	}

	public void setAttachmentSharePassword(String attachmentSharePassword)
	{
		this.attachmentSharePassword = attachmentSharePassword;
	}

	public void setAttachmentShareURL(String attachmentShareURL)
	{
		this.attachmentShareURL = attachmentShareURL;
	}

	public void setAttachmentShareUser(String attachmentShareUser)
	{
		this.attachmentShareUser = attachmentShareUser;
	}

	public void setAutoLogoutRememberMe(Boolean autoLogoutRememberMe)
	{
		this.autoLogoutRememberMe = autoLogoutRememberMe;
	}

	public void setAutoLogoutTime(Integer autoLogoutTime)
	{
		this.autoLogoutTime = autoLogoutTime;
	}

	public void setAutoLogoutWithMaxSessions(Boolean autoLogoutWithMaxSessions)
	{
		this.autoLogoutWithMaxSessions = autoLogoutWithMaxSessions;
	}

	public void setCalcDisc1PercentFromValue(Boolean calcDisc1PercentFromValue)
	{
		this.calcDisc1PercentFromValue = calcDisc1PercentFromValue;
	}

	public void setCalcDisc2PercentFromValue(Boolean calcDisc2PercentFromValue)
	{
		this.calcDisc2PercentFromValue = calcDisc2PercentFromValue;
	}

	public void setCalcDisc3PercentFromValue(Boolean calcDisc3PercentFromValue)
	{
		this.calcDisc3PercentFromValue = calcDisc3PercentFromValue;
	}

	public void setCalcDisc4PercentFromValue(Boolean calcDisc4PercentFromValue)
	{
		this.calcDisc4PercentFromValue = calcDisc4PercentFromValue;
	}

	public void setCalcDisc5PercentFromValue(Boolean calcDisc5PercentFromValue)
	{
		this.calcDisc5PercentFromValue = calcDisc5PercentFromValue;
	}

	public void setCalcDisc6PercentFromValue(Boolean calcDisc6PercentFromValue)
	{
		this.calcDisc6PercentFromValue = calcDisc6PercentFromValue;
	}

	public void setCalcDisc7PercentFromValue(Boolean calcDisc7PercentFromValue)
	{
		this.calcDisc7PercentFromValue = calcDisc7PercentFromValue;
	}

	public void setCalcDisc8PercentFromValue(Boolean calcDisc8PercentFromValue)
	{
		this.calcDisc8PercentFromValue = calcDisc8PercentFromValue;
	}

	public void setCalculateCountBasedOnQty(Boolean calculateCountBasedOnQty)
	{
		this.calculateCountBasedOnQty = calculateCountBasedOnQty;
	}

	public void setCodeSearchOperator(String codeSearchOperator)
	{
		this.codeSearchOperator = codeSearchOperator;
	}

	public void setCompanyNameForLoginPage(String companyNameForLoginPage)
	{
		this.companyNameForLoginPage = companyNameForLoginPage;
	}

	public void setConsiderVouchersPaymentWithApproxDisc(Boolean considerVouchersPaymentWithApproxDisc)
	{
		this.considerVouchersPaymentWithApproxDisc = considerVouchersPaymentWithApproxDisc;
	}

	public void setCountPrintsPerUser(Boolean countPrintsPerUser)
	{
		this.countPrintsPerUser = countPrintsPerUser;
	}

	public void setCreateAttachmentInfoTable(Boolean createAttachmentInfoTable)
	{
		this.createAttachmentInfoTable = createAttachmentInfoTable;
	}

	public void setCreateAttachmentPreviewAndThumbnail(Boolean createAttachmentPreviewAndThumbnail)
	{
		this.createAttachmentPreviewAndThumbnail = createAttachmentPreviewAndThumbnail;
	}

	public void setCreateDMSDocInPopUpWindow(Boolean createDMSDocInPopUpWindow)
	{
		this.createDMSDocInPopUpWindow = createDMSDocInPopUpWindow;
	}

	public void setCreateEntitySystemEntryForDraftRecord(Boolean createEntitySystemEntryForDraftRecord)
	{
		this.createEntitySystemEntryForDraftRecord = createEntitySystemEntryForDraftRecord;
	}

	public void setCurrencyPatternInReports(String currencyPatternInReports)
	{
		this.currencyPatternInReports = currencyPatternInReports;
	}

	public void setCustomDimensionsDescriptionTemplateAr(String customDimensionsDescriptionTemplateAr)
	{
		this.customDimensionsDescriptionTemplateAr = customDimensionsDescriptionTemplateAr;
	}

	public void setCustomDimensionsDescriptionTemplateEn(String customDimensionsDescriptionTemplateEn)
	{
		this.customDimensionsDescriptionTemplateEn = customDimensionsDescriptionTemplateEn;
	}

	public void setCustomerPassword(String customerPassword)
	{
		this.customerPassword = customerPassword;
	}

	public void setCustomerUserName(String customerUserName)
	{
		this.customerUserName = customerUserName;
	}

	public void setDatePatternInReports(String datePatternInReports)
	{
		this.datePatternInReports = datePatternInReports;
	}

	public void setDateTimePatternInReports(String dateTimePatternInReports)
	{
		this.dateTimePatternInReports = dateTimePatternInReports;
	}

	public void setDeductPaymentAndReceiptInRemaining(Boolean deductPaymentAndReceiptInRemaining)
	{
		this.deductPaymentAndReceiptInRemaining = deductPaymentAndReceiptInRemaining;
	}

	public void setDefaultDisplayDecimalPlaces(Integer defaultDisplayDecimalPlaces)
	{
		this.defaultDisplayDecimalPlaces = defaultDisplayDecimalPlaces;
	}

	public void setDefaultLDAPDomain(String defaultLDAPDomain)
	{
		this.defaultLDAPDomain = defaultLDAPDomain;
	}

	public void setDefaultReviseLevel(Integer defaultReviseLevel)
	{
		this.defaultReviseLevel = defaultReviseLevel;
	}

	public void setDefaultTaxPlanForItemPrice(EntityReferenceData defaultTaxPlanForItemPrice)
	{
		this.defaultTaxPlanForItemPrice = defaultTaxPlanForItemPrice;
	}

	public void setDefaultValuesExcludedFields(String defaultValuesExcludedFields)
	{
		this.defaultValuesExcludedFields = defaultValuesExcludedFields;
	}

	public void setDetailedWorkTasks(Boolean detailedWorkTasks)
	{
		this.detailedWorkTasks = detailedWorkTasks;
	}

	public void setDisableWarehousesAdjustment(Boolean disableWarehousesAdjustment)
	{
		this.disableWarehousesAdjustment = disableWarehousesAdjustment;
	}

	public void setDiscount1(DTOTaxEffectOnDiscount discount1)
	{
		this.discount1 = discount1;
	}

	public void setDiscount1ApplyType(String discount1ApplyType)
	{
		this.discount1ApplyType = discount1ApplyType;
	}

	public void setDiscount2(DTOTaxEffectOnDiscount discount2)
	{
		this.discount2 = discount2;
	}

	public void setDiscount2ApplyType(String discount2ApplyType)
	{
		this.discount2ApplyType = discount2ApplyType;
	}

	public void setDiscount3(DTOTaxEffectOnDiscount discount3)
	{
		this.discount3 = discount3;
	}

	public void setDiscount3ApplyType(String discount3ApplyType)
	{
		this.discount3ApplyType = discount3ApplyType;
	}

	public void setDiscount4(DTOTaxEffectOnDiscount discount4)
	{
		this.discount4 = discount4;
	}

	public void setDiscount4ApplyType(String discount4ApplyType)
	{
		this.discount4ApplyType = discount4ApplyType;
	}

	public void setDiscount5(DTOTaxEffectOnDiscount discount5)
	{
		this.discount5 = discount5;
	}

	public void setDiscount5ApplyType(String discount5ApplyType)
	{
		this.discount5ApplyType = discount5ApplyType;
	}

	public void setDiscount6(DTOTaxEffectOnDiscount discount6)
	{
		this.discount6 = discount6;
	}

	public void setDiscount6ApplyType(String discount6ApplyType)
	{
		this.discount6ApplyType = discount6ApplyType;
	}

	public void setDiscount7(DTOTaxEffectOnDiscount discount7)
	{
		this.discount7 = discount7;
	}

	public void setDiscount7ApplyType(String discount7ApplyType)
	{
		this.discount7ApplyType = discount7ApplyType;
	}

	public void setDiscount8(DTOTaxEffectOnDiscount discount8)
	{
		this.discount8 = discount8;
	}

	public void setDiscount8ApplyType(String discount8ApplyType)
	{
		this.discount8ApplyType = discount8ApplyType;
	}

	public void setDisplayPreventedRecords(Boolean displayPreventedRecords)
	{
		this.displayPreventedRecords = displayPreventedRecords;
	}

	public void setDisplayRecordsWithUpdateCapabilityToUsers(Boolean displayRecordsWithUpdateCapabilityToUsers)
	{
		this.displayRecordsWithUpdateCapabilityToUsers = displayRecordsWithUpdateCapabilityToUsers;
	}

	public void setDmsDocFilterFoldersByLocation(Boolean dmsDocFilterFoldersByLocation)
	{
		this.dmsDocFilterFoldersByLocation = dmsDocFilterFoldersByLocation;
	}

	public void setDoNotAllowSpecifyingDocCode(Boolean doNotAllowSpecifyingDocCode)
	{
		this.doNotAllowSpecifyingDocCode = doNotAllowSpecifyingDocCode;
	}

	public void setDoNotChangeDateWithDuplicate(Boolean doNotChangeDateWithDuplicate)
	{
		this.doNotChangeDateWithDuplicate = doNotChangeDateWithDuplicate;
	}

	public void setDoNotCompareRemainingWithPaymentTotalInInvoices(Boolean doNotCompareRemainingWithPaymentTotalInInvoices)
	{
		this.doNotCompareRemainingWithPaymentTotalInInvoices = doNotCompareRemainingWithPaymentTotalInInvoices;
	}

	public void setDoNotConsiderDimensionsWhenSearchingForSingleTermBook(Boolean doNotConsiderDimensionsWhenSearchingForSingleTermBook)
	{
		this.doNotConsiderDimensionsWhenSearchingForSingleTermBook = doNotConsiderDimensionsWhenSearchingForSingleTermBook;
	}

	public void setDoNotOverrideSalesManWithCustomer(Boolean doNotOverrideSalesManWithCustomer)
	{
		this.doNotOverrideSalesManWithCustomer = doNotOverrideSalesManWithCustomer;
	}

	public void setDoNotPreventModifyingDocsBeforeLastCloseEntry(Boolean doNotPreventModifyingDocsBeforeLastCloseEntry)
	{
		this.doNotPreventModifyingDocsBeforeLastCloseEntry = doNotPreventModifyingDocsBeforeLastCloseEntry;
	}

	public void setDoNotReplicate(List<DTOEntityTypeLine> doNotReplicate)
	{
		this.doNotReplicate = doNotReplicate;
	}

	public void setDoNotUseDescriptorsInFields(Boolean doNotUseDescriptorsInFields)
	{
		this.doNotUseDescriptorsInFields = doNotUseDescriptorsInFields;
	}

	public void setDoNotUseTax1PercentageAsAdditionalValue1(Boolean doNotUseTax1PercentageAsAdditionalValue1)
	{
		this.doNotUseTax1PercentageAsAdditionalValue1 = doNotUseTax1PercentageAsAdditionalValue1;
	}

	public void setDoNotUseTax2PercentageAsAdditionalValue2(Boolean doNotUseTax2PercentageAsAdditionalValue2)
	{
		this.doNotUseTax2PercentageAsAdditionalValue2 = doNotUseTax2PercentageAsAdditionalValue2;
	}

	public void setDoNotUseTax3PercentageAsAdditionalValue3(Boolean doNotUseTax3PercentageAsAdditionalValue3)
	{
		this.doNotUseTax3PercentageAsAdditionalValue3 = doNotUseTax3PercentageAsAdditionalValue3;
	}

	public void setDoNotUseTax4PercentageAsAdditionalValue4(Boolean doNotUseTax4PercentageAsAdditionalValue4)
	{
		this.doNotUseTax4PercentageAsAdditionalValue4 = doNotUseTax4PercentageAsAdditionalValue4;
	}

	public void setDoNotUseTodayAndYesterdayForDates(Boolean doNotUseTodayAndYesterdayForDates)
	{
		this.doNotUseTodayAndYesterdayForDates = doNotUseTodayAndYesterdayForDates;
	}

	public void setDoNotdispPrevRecInListView(Boolean doNotdispPrevRecInListView)
	{
		this.doNotdispPrevRecInListView = doNotdispPrevRecInListView;
	}

	public void setDocConverterSettings(DTODocumentCoverterSettings docConverterSettings)
	{
		this.docConverterSettings = docConverterSettings;
	}

	public void setDocDefaultMenuItemBehavior(String docDefaultMenuItemBehavior)
	{
		this.docDefaultMenuItemBehavior = docDefaultMenuItemBehavior;
	}

	public void setDonotReplicateAttachments(Boolean donotReplicateAttachments)
	{
		this.donotReplicateAttachments = donotReplicateAttachments;
	}

	public void setDontDisplayContractorType(Boolean dontDisplayContractorType)
	{
		this.dontDisplayContractorType = dontDisplayContractorType;
	}

	public void setDontDisplayCustomerType(Boolean dontDisplayCustomerType)
	{
		this.dontDisplayCustomerType = dontDisplayCustomerType;
	}

	public void setDontDisplayEmployeeType(Boolean dontDisplayEmployeeType)
	{
		this.dontDisplayEmployeeType = dontDisplayEmployeeType;
	}

	public void setDontDisplaySupplierType(Boolean dontDisplaySupplierType)
	{
		this.dontDisplaySupplierType = dontDisplaySupplierType;
	}

	public void setDontUpdateReportNotASystemReportButHaveSameCodeOfSystemReport(Boolean dontUpdateReportNotASystemReportButHaveSameCodeOfSystemReport)
	{
		this.dontUpdateReportNotASystemReportButHaveSameCodeOfSystemReport = dontUpdateReportNotASystemReportButHaveSameCodeOfSystemReport;
	}

	public void setEffectsConfig(EntityReferenceData effectsConfig)
	{
		this.effectsConfig = effectsConfig;
	}

	public void setEinvoicePageShowType(String einvoicePageShowType)
	{
		this.einvoicePageShowType = einvoicePageShowType;
	}

	public void setEmailReceiverSettings(List<DTOEmailReceiverSettings> emailReceiverSettings)
	{
		this.emailReceiverSettings = emailReceiverSettings;
	}

	public void setEmailSettings(List<DTOEmailSenderSettings> emailSettings)
	{
		this.emailSettings = emailSettings;
	}

	public void setEnablePresendRequestsForCostLedger(Boolean enablePresendRequestsForCostLedger)
	{
		this.enablePresendRequestsForCostLedger = enablePresendRequestsForCostLedger;
	}

	public void setEnableRecordViewEntityFlows(Boolean enableRecordViewEntityFlows)
	{
		this.enableRecordViewEntityFlows = enableRecordViewEntityFlows;
	}

	public void setEntitiesReviseLevels(List<DTOEntityReviseLevel> entitiesReviseLevels)
	{
		this.entitiesReviseLevels = entitiesReviseLevels;
	}

	public void setEntityImages(List<DTOEntityImageSettings> entityImages)
	{
		this.entityImages = entityImages;
	}

	public void setExcelExportConfig(DTOExcelExportConfig excelExportConfig)
	{
		this.excelExportConfig = excelExportConfig;
	}

	public void setExportDraftVersion(Boolean exportDraftVersion)
	{
		this.exportDraftVersion = exportDraftVersion;
	}

	public void setExternalAttachmentsFolder(String externalAttachmentsFolder)
	{
		this.externalAttachmentsFolder = externalAttachmentsFolder;
	}

	public void setExternalizeAttachments(Boolean externalizeAttachments)
	{
		this.externalizeAttachments = externalizeAttachments;
	}

	public void setFailedPendingTasksNotification(EntityReferenceData failedPendingTasksNotification)
	{
		this.failedPendingTasksNotification = failedPendingTasksNotification;
	}

	public void setFetchReviewedAndApprovedReportsOnlyWhenUpdateSystemReports(Boolean fetchReviewedAndApprovedReportsOnlyWhenUpdateSystemReports)
	{
		this.fetchReviewedAndApprovedReportsOnlyWhenUpdateSystemReports = fetchReviewedAndApprovedReportsOnlyWhenUpdateSystemReports;
	}

	public void setFifthPriority(String fifthPriority)
	{
		this.fifthPriority = fifthPriority;
	}

	public void setFirstPriority(String firstPriority)
	{
		this.firstPriority = firstPriority;
	}

	public void setFixMenuAsSideBar(Boolean fixMenuAsSideBar)
	{
		this.fixMenuAsSideBar = fixMenuAsSideBar;
	}

	public void setFoldersToCheckSpace(String foldersToCheckSpace)
	{
		this.foldersToCheckSpace = foldersToCheckSpace;
	}

	public void setFontInfo(DTOFontInfo fontInfo)
	{
		this.fontInfo = fontInfo;
	}

	public void setFourthPriority(String fourthPriority)
	{
		this.fourthPriority = fourthPriority;
	}

	public void setFreeLineColor(String freeLineColor)
	{
		this.freeLineColor = freeLineColor;
	}

	public void setGoogleMapsApiKey(String googleMapsApiKey)
	{
		this.googleMapsApiKey = googleMapsApiKey;
	}

	public void setGridLevel1Color(String gridLevel1Color)
	{
		this.gridLevel1Color = gridLevel1Color;
	}

	public void setGridLevel2Color(String gridLevel2Color)
	{
		this.gridLevel2Color = gridLevel2Color;
	}

	public void setGridLevel3Color(String gridLevel3Color)
	{
		this.gridLevel3Color = gridLevel3Color;
	}

	public void setHTaxLocation(String hTaxLocation)
	{
		this.hTaxLocation = hTaxLocation;
	}

	public void setHeaderDiscountApplyType(String headerDiscountApplyType)
	{
		this.headerDiscountApplyType = headerDiscountApplyType;
	}

	public void setHideCountColumnInSelectorPopup(Boolean hideCountColumnInSelectorPopup)
	{
		this.hideCountColumnInSelectorPopup = hideCountColumnInSelectorPopup;
	}

	public void setHideSelectColumnInSelectorPopup(Boolean hideSelectColumnInSelectorPopup)
	{
		this.hideSelectColumnInSelectorPopup = hideSelectColumnInSelectorPopup;
	}

	public void setHijriFields(List<DTOHijriField> hijriFields)
	{
		this.hijriFields = hijriFields;
	}

	public void setHijriFormat(DTOHijriFormatInfo hijriFormat)
	{
		this.hijriFormat = hijriFormat;
	}

	public void setHtax2IsDiscount(Boolean htax2IsDiscount)
	{
		this.htax2IsDiscount = htax2IsDiscount;
	}

	public void setHtaxApplyType(String htaxApplyType)
	{
		this.htaxApplyType = htaxApplyType;
	}

	public void setIfSingleBookIsDefinedForEntityUseItWithNew(Boolean ifSingleBookIsDefinedForEntityUseItWithNew)
	{
		this.ifSingleBookIsDefinedForEntityUseItWithNew = ifSingleBookIsDefinedForEntityUseItWithNew;
	}

	public void setIfSingleTermIsDefinedForEntityUseItWithNew(Boolean ifSingleTermIsDefinedForEntityUseItWithNew)
	{
		this.ifSingleTermIsDefinedForEntityUseItWithNew = ifSingleTermIsDefinedForEntityUseItWithNew;
	}

	public void setIgnoreClosedPeriodsIn(List<DTOFiscalPeriodIgnoreLine> ignoreClosedPeriodsIn)
	{
		this.ignoreClosedPeriodsIn = ignoreClosedPeriodsIn;
	}

	public void setIgnoreDimensionsConsistency(Boolean ignoreDimensionsConsistency)
	{
		this.ignoreDimensionsConsistency = ignoreDimensionsConsistency;
	}

	public void setIgnoreRecordCapabilitiesIn(List<DTOEntityTypeLine> ignoreRecordCapabilitiesIn)
	{
		this.ignoreRecordCapabilitiesIn = ignoreRecordCapabilitiesIn;
	}

	public void setIgnoreRecordCapabilitiesInAllListViews(Boolean ignoreRecordCapabilitiesInAllListViews)
	{
		this.ignoreRecordCapabilitiesInAllListViews = ignoreRecordCapabilitiesInAllListViews;
	}

	public void setInValidSentLineStyle(String inValidSentLineStyle)
	{
		this.inValidSentLineStyle = inValidSentLineStyle;
	}

	public void setInstallmentCodingFormula(String installmentCodingFormula)
	{
		this.installmentCodingFormula = installmentCodingFormula;
	}

	public void setInstallmentCodingMethod(String installmentCodingMethod)
	{
		this.installmentCodingMethod = installmentCodingMethod;
	}

	public void setItemCodingFormula(DTOItemCodingFormula itemCodingFormula)
	{
		this.itemCodingFormula = itemCodingFormula;
	}

	public void setLdapServerURL(String ldapServerURL)
	{
		this.ldapServerURL = ldapServerURL;
	}

	public void setLegacyUIExtraStyles(String legacyUIExtraStyles)
	{
		this.legacyUIExtraStyles = legacyUIExtraStyles;
	}

	public void setLinesCountInGrids(Integer linesCountInGrids)
	{
		this.linesCountInGrids = linesCountInGrids;
	}

	public void setLogExportsToDB(Boolean logExportsToDB)
	{
		this.logExportsToDB = logExportsToDB;
	}

	public void setLogFormsToReportLog(Boolean logFormsToReportLog)
	{
		this.logFormsToReportLog = logFormsToReportLog;
	}

	public void setLogParametersToDB(Boolean logParametersToDB)
	{
		this.logParametersToDB = logParametersToDB;
	}

	public void setLogReportPerformanceToDB(Boolean logReportPerformanceToDB)
	{
		this.logReportPerformanceToDB = logReportPerformanceToDB;
	}

	public void setLowMargin(BigDecimal lowMargin)
	{
		this.lowMargin = lowMargin;
	}

	public void setMailServerSettings(DTOMailSercerSettings mailServerSettings)
	{
		this.mailServerSettings = mailServerSettings;
	}

	public void setMaxExportCount(Integer maxExportCount)
	{
		this.maxExportCount = maxExportCount;
	}

	public void setMaxFailedLoginAttempts(Integer maxFailedLoginAttempts)
	{
		this.maxFailedLoginAttempts = maxFailedLoginAttempts;
	}

	public void setMaxLinesCount(Integer maxLinesCount)
	{
		this.maxLinesCount = maxLinesCount;
	}

	public void setMaxLinesPerGeneratedDoc(Integer maxLinesPerGeneratedDoc)
	{
		this.maxLinesPerGeneratedDoc = maxLinesPerGeneratedDoc;
	}

	public void setMaxListPageMatchingRefCountPerUser(Integer maxListPageMatchingRefCountPerUser)
	{
		this.maxListPageMatchingRefCountPerUser = maxListPageMatchingRefCountPerUser;
	}

	public void setMaxListViewCountPerUser(Integer maxListViewCountPerUser)
	{
		this.maxListViewCountPerUser = maxListViewCountPerUser;
	}

	public void setMaxLoginSessions(Integer maxLoginSessions)
	{
		this.maxLoginSessions = maxLoginSessions;
	}

	public void setMaxMinutesToExecuteSqlFieldQuery(Integer maxMinutesToExecuteSqlFieldQuery)
	{
		this.maxMinutesToExecuteSqlFieldQuery = maxMinutesToExecuteSqlFieldQuery;
	}

	public void setMaxRecordsPerPageForListViews(Integer maxRecordsPerPageForListViews)
	{
		this.maxRecordsPerPageForListViews = maxRecordsPerPageForListViews;
	}

	public void setMaxRetrayNumForPendingTasks(Integer maxRetrayNumForPendingTasks)
	{
		this.maxRetrayNumForPendingTasks = maxRetrayNumForPendingTasks;
	}

	public void setMaxSecondsToExecuteDashboardQuery(Integer maxSecondsToExecuteDashboardQuery)
	{
		this.maxSecondsToExecuteDashboardQuery = maxSecondsToExecuteDashboardQuery;
	}

	public void setMaxSecondsToExecuteListPageQueries(Integer maxSecondsToExecuteListPageQueries)
	{
		this.maxSecondsToExecuteListPageQueries = maxSecondsToExecuteListPageQueries;
	}

	public void setMaxSecondsToExecuteListViewQueries(Integer maxSecondsToExecuteListViewQueries)
	{
		this.maxSecondsToExecuteListViewQueries = maxSecondsToExecuteListViewQueries;
	}

	public void setMaxSecondsToExecuteReportsQueries(Integer maxSecondsToExecuteReportsQueries)
	{
		this.maxSecondsToExecuteReportsQueries = maxSecondsToExecuteReportsQueries;
	}

	public void setMaxSecondsToExecuteSqlFieldQuery(Integer maxSecondsToExecuteSqlFieldQuery)
	{
		this.maxSecondsToExecuteSqlFieldQuery = maxSecondsToExecuteSqlFieldQuery;
	}

	public void setMaxSecondsToExecuteUserTimedQueries(Integer maxSecondsToExecuteUserTimedQueries)
	{
		this.maxSecondsToExecuteUserTimedQueries = maxSecondsToExecuteUserTimedQueries;
	}

	public void setMaxTrialsForMessages(Long maxTrialsForMessages)
	{
		this.maxTrialsForMessages = maxTrialsForMessages;
	}

	public void setMaximumDrCrDiffCorrection(BigDecimal maximumDrCrDiffCorrection)
	{
		this.maximumDrCrDiffCorrection = maximumDrCrDiffCorrection;
	}

	public void setMergeAlternateSecurityProfilesIntoMainUser(Boolean mergeAlternateSecurityProfilesIntoMainUser)
	{
		this.mergeAlternateSecurityProfilesIntoMainUser = mergeAlternateSecurityProfilesIntoMainUser;
	}

	public void setMfDefaultMenuItemBehavior(String mfDefaultMenuItemBehavior)
	{
		this.mfDefaultMenuItemBehavior = mfDefaultMenuItemBehavior;
	}

	public void setMinAlphaChars(Integer minAlphaChars)
	{
		this.minAlphaChars = minAlphaChars;
	}

	public void setMinDebitCreditValue(BigDecimal minDebitCreditValue)
	{
		this.minDebitCreditValue = minDebitCreditValue;
	}

	public void setMinNumbersChars(Integer minNumbersChars)
	{
		this.minNumbersChars = minNumbersChars;
	}

	public void setMinPasswordLength(Integer minPasswordLength)
	{
		this.minPasswordLength = minPasswordLength;
	}

	public void setMinSpecialChars(Integer minSpecialChars)
	{
		this.minSpecialChars = minSpecialChars;
	}

	public void setMinutesToRememberFailedLogins(Integer minutesToRememberFailedLogins)
	{
		this.minutesToRememberFailedLogins = minutesToRememberFailedLogins;
	}

	public void setMustSelectEntityInSearchInBeforeSearchOnServer(Boolean mustSelectEntityInSearchInBeforeSearchOnServer)
	{
		this.mustSelectEntityInSearchInBeforeSearchOnServer = mustSelectEntityInSearchInBeforeSearchOnServer;
	}

	public void setNamaServerUrl(String namaServerUrl)
	{
		this.namaServerUrl = namaServerUrl;
	}

	public void setName1SearchOperator(String name1SearchOperator)
	{
		this.name1SearchOperator = name1SearchOperator;
	}

	public void setName2SearchOperator(String name2SearchOperator)
	{
		this.name2SearchOperator = name2SearchOperator;
	}

	public void setNoReplicationInSites(List<DTODoNotReplicateInSites> noReplicationInSites)
	{
		this.noReplicationInSites = noReplicationInSites;
	}

	public void setNoTaxesForFreeItem(Boolean noTaxesForFreeItem)
	{
		this.noTaxesForFreeItem = noTaxesForFreeItem;
	}

	public void setNotificationContent(String notificationContent)
	{
		this.notificationContent = notificationContent;
	}

	public void setNotificationsCount(Integer notificationsCount)
	{
		this.notificationsCount = notificationsCount;
	}

	public void setNotifyWhenEmptySpaceReachesGB(BigDecimal notifyWhenEmptySpaceReachesGB)
	{
		this.notifyWhenEmptySpaceReachesGB = notifyWhenEmptySpaceReachesGB;
	}

	public void setOpenPrintInBrowserWindow(Boolean openPrintInBrowserWindow)
	{
		this.openPrintInBrowserWindow = openPrintInBrowserWindow;
	}

	public void setOverrideSelectedAnalysisSet(String overrideSelectedAnalysisSet)
	{
		this.overrideSelectedAnalysisSet = overrideSelectedAnalysisSet;
	}

	public void setOverrideSelectedBranch(String overrideSelectedBranch)
	{
		this.overrideSelectedBranch = overrideSelectedBranch;
	}

	public void setOverrideSelectedDepartment(String overrideSelectedDepartment)
	{
		this.overrideSelectedDepartment = overrideSelectedDepartment;
	}

	public void setOverrideSelectedLegalEntity(String overrideSelectedLegalEntity)
	{
		this.overrideSelectedLegalEntity = overrideSelectedLegalEntity;
	}

	public void setOverrideSelectedSector(String overrideSelectedSector)
	{
		this.overrideSelectedSector = overrideSelectedSector;
	}

	public void setPercentPatternInReports(String percentPatternInReports)
	{
		this.percentPatternInReports = percentPatternInReports;
	}

	public void setPercentageFractionalDecimalPlaces(Integer percentageFractionalDecimalPlaces)
	{
		this.percentageFractionalDecimalPlaces = percentageFractionalDecimalPlaces;
	}

	public void setPrevUserToRunSameRepMultipleTimes(Boolean prevUserToRunSameRepMultipleTimes)
	{
		this.prevUserToRunSameRepMultipleTimes = prevUserToRunSameRepMultipleTimes;
	}

	public void setPreventManualCoding(Boolean preventManualCoding)
	{
		this.preventManualCoding = preventManualCoding;
	}

	public void setPreventSamePasswordWhenChanging(Boolean preventSamePasswordWhenChanging)
	{
		this.preventSamePasswordWhenChanging = preventSamePasswordWhenChanging;
	}

	public void setPreventUpdateDocAndRelatedDocInApproval(Boolean preventUpdateDocAndRelatedDocInApproval)
	{
		this.preventUpdateDocAndRelatedDocInApproval = preventUpdateDocAndRelatedDocInApproval;
	}

	public void setPreventUsingBranchesWhenHeadOfficeIsOnline(Boolean preventUsingBranchesWhenHeadOfficeIsOnline)
	{
		this.preventUsingBranchesWhenHeadOfficeIsOnline = preventUsingBranchesWhenHeadOfficeIsOnline;
	}

	public void setPreventUsingBranchesWhenHeadOfficeIsOnlineTimeout(Integer preventUsingBranchesWhenHeadOfficeIsOnlineTimeout)
	{
		this.preventUsingBranchesWhenHeadOfficeIsOnlineTimeout = preventUsingBranchesWhenHeadOfficeIsOnlineTimeout;
	}

	public void setPriceIncludesTax(Boolean priceIncludesTax)
	{
		this.priceIncludesTax = priceIncludesTax;
	}

	public void setPriceIncludesTax2(Boolean priceIncludesTax2)
	{
		this.priceIncludesTax2 = priceIncludesTax2;
	}

	public void setPriceIncludesTax3(Boolean priceIncludesTax3)
	{
		this.priceIncludesTax3 = priceIncludesTax3;
	}

	public void setPriceIncludesTax4(Boolean priceIncludesTax4)
	{
		this.priceIncludesTax4 = priceIncludesTax4;
	}

	public void setPrintUsingNamaServer(Boolean printUsingNamaServer)
	{
		this.printUsingNamaServer = printUsingNamaServer;
	}

	public void setQuantityPatternInReports(String quantityPatternInReports)
	{
		this.quantityPatternInReports = quantityPatternInReports;
	}

	public void setRateFractionalDecimalPlaces(Integer rateFractionalDecimalPlaces)
	{
		this.rateFractionalDecimalPlaces = rateFractionalDecimalPlaces;
	}

	public void setRatePatternInReports(String ratePatternInReports)
	{
		this.ratePatternInReports = ratePatternInReports;
	}

	public void setReplicationBookArabicError(String replicationBookArabicError)
	{
		this.replicationBookArabicError = replicationBookArabicError;
	}

	public void setReplicationBookEnglishError(String replicationBookEnglishError)
	{
		this.replicationBookEnglishError = replicationBookEnglishError;
	}

	public void setReplicationCleanUpTime(Date replicationCleanUpTime)
	{
		this.replicationCleanUpTime = replicationCleanUpTime;
	}

	public void setReportsFooterNote1(String reportsFooterNote1)
	{
		this.reportsFooterNote1 = reportsFooterNote1;
	}

	public void setReportsFooterNote2(String reportsFooterNote2)
	{
		this.reportsFooterNote2 = reportsFooterNote2;
	}

	public void setRequestReCommitAfterFailures(Boolean requestReCommitAfterFailures)
	{
		this.requestReCommitAfterFailures = requestReCommitAfterFailures;
	}

	public void setReturnedItemColor(String returnedItemColor)
	{
		this.returnedItemColor = returnedItemColor;
	}

	public void setRotateSenderEmails(Boolean rotateSenderEmails)
	{
		this.rotateSenderEmails = rotateSenderEmails;
	}

	public void setSalesManSearch(Boolean salesManSearch)
	{
		this.salesManSearch = salesManSearch;
	}

	public void setScannerApp(String scannerApp)
	{
		this.scannerApp = scannerApp;
	}

	public void setScannerProfile(String scannerProfile)
	{
		this.scannerProfile = scannerProfile;
	}

	public void setSearchWithConnectedNamesInRefs(Boolean searchWithConnectedNamesInRefs)
	{
		this.searchWithConnectedNamesInRefs = searchWithConnectedNamesInRefs;
	}

	public void setSecondPriority(String secondPriority)
	{
		this.secondPriority = secondPriority;
	}

	public void setSendMailsAndSMSOnlyFromServers(String sendMailsAndSMSOnlyFromServers)
	{
		this.sendMailsAndSMSOnlyFromServers = sendMailsAndSMSOnlyFromServers;
	}

	public void setSendPasswordByMailTemplate(String sendPasswordByMailTemplate)
	{
		this.sendPasswordByMailTemplate = sendPasswordByMailTemplate;
	}

	public void setSendPasswordBySMSTemplate(String sendPasswordBySMSTemplate)
	{
		this.sendPasswordBySMSTemplate = sendPasswordBySMSTemplate;
	}

	public void setSentLineStyle(String sentLineStyle)
	{
		this.sentLineStyle = sentLineStyle;
	}

	public void setSeventhPriority(String seventhPriority)
	{
		this.seventhPriority = seventhPriority;
	}

	public void setShouldRedirectEditView(Boolean shouldRedirectEditView)
	{
		this.shouldRedirectEditView = shouldRedirectEditView;
	}

	public void setShowCompanyNameNextToLogo(Boolean showCompanyNameNextToLogo)
	{
		this.showCompanyNameNextToLogo = showCompanyNameNextToLogo;
	}

	public void setShowFullTermConfig(Boolean showFullTermConfig)
	{
		this.showFullTermConfig = showFullTermConfig;
	}

	public void setShowOldBarcodeMenu(Boolean showOldBarcodeMenu)
	{
		this.showOldBarcodeMenu = showOldBarcodeMenu;
	}

	public void setShowOnlyCurrentDimensionBooks(Boolean showOnlyCurrentDimensionBooks)
	{
		this.showOnlyCurrentDimensionBooks = showOnlyCurrentDimensionBooks;
	}

	public void setShowPublicDocumentsToAll(Boolean showPublicDocumentsToAll)
	{
		this.showPublicDocumentsToAll = showPublicDocumentsToAll;
	}

	public void setShowSearchInForTopPanel(Boolean showSearchInForTopPanel)
	{
		this.showSearchInForTopPanel = showSearchInForTopPanel;
	}

	public void setSixthPriority(String sixthPriority)
	{
		this.sixthPriority = sixthPriority;
	}

	public void setSlaveLineColor(String slaveLineColor)
	{
		this.slaveLineColor = slaveLineColor;
	}

	public void setSmartArabicSearchInContains(Boolean smartArabicSearchInContains)
	{
		this.smartArabicSearchInContains = smartArabicSearchInContains;
	}

	public void setSmsSettings(List<DTOSMSSenderSettings> smsSettings)
	{
		this.smsSettings = smsSettings;
	}

	public void setStartAlwaysByNewGui(Boolean startAlwaysByNewGui)
	{
		this.startAlwaysByNewGui = startAlwaysByNewGui;
	}

	public void setStartInMobileByNewGui(Boolean startInMobileByNewGui)
	{
		this.startInMobileByNewGui = startInMobileByNewGui;
	}

	public void setSubsidiaryCurrencyShouldMatchAccountsCurrency(Boolean subsidiaryCurrencyShouldMatchAccountsCurrency)
	{
		this.subsidiaryCurrencyShouldMatchAccountsCurrency = subsidiaryCurrencyShouldMatchAccountsCurrency;
	}

	public void setSysHelpsLastReadDate(Date sysHelpsLastReadDate)
	{
		this.sysHelpsLastReadDate = sysHelpsLastReadDate;
	}

	public void setTafqeetInfo(List<DTOCurrencyTafqeetInfo> tafqeetInfo)
	{
		this.tafqeetInfo = tafqeetInfo;
	}

	public void setTax1ApplyType(String tax1ApplyType)
	{
		this.tax1ApplyType = tax1ApplyType;
	}

	public void setTax1IsDiscount(Boolean tax1IsDiscount)
	{
		this.tax1IsDiscount = tax1IsDiscount;
	}

	public void setTax1IsValue(Boolean tax1IsValue)
	{
		this.tax1IsValue = tax1IsValue;
	}

	public void setTax1Location(String tax1Location)
	{
		this.tax1Location = tax1Location;
	}

	public void setTax1NotIncludedInTotal(Boolean tax1NotIncludedInTotal)
	{
		this.tax1NotIncludedInTotal = tax1NotIncludedInTotal;
	}

	public void setTax1ValueIsForTotal(Boolean tax1ValueIsForTotal)
	{
		this.tax1ValueIsForTotal = tax1ValueIsForTotal;
	}

	public void setTax2ApplyType(String tax2ApplyType)
	{
		this.tax2ApplyType = tax2ApplyType;
	}

	public void setTax2IsDiscount(Boolean tax2IsDiscount)
	{
		this.tax2IsDiscount = tax2IsDiscount;
	}

	public void setTax2IsValue(Boolean tax2IsValue)
	{
		this.tax2IsValue = tax2IsValue;
	}

	public void setTax2Location(String tax2Location)
	{
		this.tax2Location = tax2Location;
	}

	public void setTax2NotIncludedInTotal(Boolean tax2NotIncludedInTotal)
	{
		this.tax2NotIncludedInTotal = tax2NotIncludedInTotal;
	}

	public void setTax2ValueIsForTotal(Boolean tax2ValueIsForTotal)
	{
		this.tax2ValueIsForTotal = tax2ValueIsForTotal;
	}

	public void setTax3ApplyType(String tax3ApplyType)
	{
		this.tax3ApplyType = tax3ApplyType;
	}

	public void setTax3IsDiscount(Boolean tax3IsDiscount)
	{
		this.tax3IsDiscount = tax3IsDiscount;
	}

	public void setTax3IsValue(Boolean tax3IsValue)
	{
		this.tax3IsValue = tax3IsValue;
	}

	public void setTax3Location(String tax3Location)
	{
		this.tax3Location = tax3Location;
	}

	public void setTax3NotIncludedInTotal(Boolean tax3NotIncludedInTotal)
	{
		this.tax3NotIncludedInTotal = tax3NotIncludedInTotal;
	}

	public void setTax3ValueIsForTotal(Boolean tax3ValueIsForTotal)
	{
		this.tax3ValueIsForTotal = tax3ValueIsForTotal;
	}

	public void setTax4ApplyType(String tax4ApplyType)
	{
		this.tax4ApplyType = tax4ApplyType;
	}

	public void setTax4IsDiscount(Boolean tax4IsDiscount)
	{
		this.tax4IsDiscount = tax4IsDiscount;
	}

	public void setTax4IsValue(Boolean tax4IsValue)
	{
		this.tax4IsValue = tax4IsValue;
	}

	public void setTax4Location(String tax4Location)
	{
		this.tax4Location = tax4Location;
	}

	public void setTax4NotIncludedInTotal(Boolean tax4NotIncludedInTotal)
	{
		this.tax4NotIncludedInTotal = tax4NotIncludedInTotal;
	}

	public void setTax4ValueIsForTotal(Boolean tax4ValueIsForTotal)
	{
		this.tax4ValueIsForTotal = tax4ValueIsForTotal;
	}

	public void setTaxApplyType(String taxApplyType)
	{
		this.taxApplyType = taxApplyType;
	}

	public void setTaxLocation(String taxLocation)
	{
		this.taxLocation = taxLocation;
	}

	public void setTaxesCodes(DTOTaxesCodes taxesCodes)
	{
		this.taxesCodes = taxesCodes;
	}

	public void setThirdPriority(String thirdPriority)
	{
		this.thirdPriority = thirdPriority;
	}

	public void setTimePatternInReports(String timePatternInReports)
	{
		this.timePatternInReports = timePatternInReports;
	}

	public void setTooltipPosition(String tooltipPosition)
	{
		this.tooltipPosition = tooltipPosition;
	}

	public void setTrackDebtAgesOn(DTOTrackDebtAges trackDebtAgesOn)
	{
		this.trackDebtAgesOn = trackDebtAgesOn;
	}

	public void setUnlimtedAllowedBooksInTerms(Boolean unlimtedAllowedBooksInTerms)
	{
		this.unlimtedAllowedBooksInTerms = unlimtedAllowedBooksInTerms;
	}

	public void setUpperAndLowerCase(Boolean upperAndLowerCase)
	{
		this.upperAndLowerCase = upperAndLowerCase;
	}

	public void setUseAccount10(Boolean useAccount10)
	{
		this.useAccount10 = useAccount10;
	}

	public void setUseAccount11(Boolean useAccount11)
	{
		this.useAccount11 = useAccount11;
	}

	public void setUseAccount12(Boolean useAccount12)
	{
		this.useAccount12 = useAccount12;
	}

	public void setUseAccount13(Boolean useAccount13)
	{
		this.useAccount13 = useAccount13;
	}

	public void setUseAccount14(Boolean useAccount14)
	{
		this.useAccount14 = useAccount14;
	}

	public void setUseAccount15(Boolean useAccount15)
	{
		this.useAccount15 = useAccount15;
	}

	public void setUseAccount16(Boolean useAccount16)
	{
		this.useAccount16 = useAccount16;
	}

	public void setUseAccount17(Boolean useAccount17)
	{
		this.useAccount17 = useAccount17;
	}

	public void setUseAccount18(Boolean useAccount18)
	{
		this.useAccount18 = useAccount18;
	}

	public void setUseAccount19(Boolean useAccount19)
	{
		this.useAccount19 = useAccount19;
	}

	public void setUseAccount20(Boolean useAccount20)
	{
		this.useAccount20 = useAccount20;
	}

	public void setUseAccount6(Boolean useAccount6)
	{
		this.useAccount6 = useAccount6;
	}

	public void setUseAccount7(Boolean useAccount7)
	{
		this.useAccount7 = useAccount7;
	}

	public void setUseAccount8(Boolean useAccount8)
	{
		this.useAccount8 = useAccount8;
	}

	public void setUseAccount9(Boolean useAccount9)
	{
		this.useAccount9 = useAccount9;
	}

	public void setUseAdobeSyntaxForPDFPrinting(Boolean useAdobeSyntaxForPDFPrinting)
	{
		this.useAdobeSyntaxForPDFPrinting = useAdobeSyntaxForPDFPrinting;
	}

	public void setUseAnalysisSetInReplication(Boolean useAnalysisSetInReplication)
	{
		this.useAnalysisSetInReplication = useAnalysisSetInReplication;
	}

	public void setUseBackgroundImage(Boolean useBackgroundImage)
	{
		this.useBackgroundImage = useBackgroundImage;
	}

	public void setUseBranchInReplication(Boolean useBranchInReplication)
	{
		this.useBranchInReplication = useBranchInReplication;
	}

	public void setUseColorFor(String useColorFor)
	{
		this.useColorFor = useColorFor;
	}

	public void setUseColorsIn(List<DTOEntityTypeLine> useColorsIn)
	{
		this.useColorsIn = useColorsIn;
	}

	public void setUseCurrentUserAsSalesMan(Boolean useCurrentUserAsSalesMan)
	{
		this.useCurrentUserAsSalesMan = useCurrentUserAsSalesMan;
	}

	public void setUseDepartmentInReplication(Boolean useDepartmentInReplication)
	{
		this.useDepartmentInReplication = useDepartmentInReplication;
	}

	public void setUseDetailedGridsInMobile(Boolean useDetailedGridsInMobile)
	{
		this.useDetailedGridsInMobile = useDetailedGridsInMobile;
	}

	public void setUseEnglishCRMTroubleTicketChangeTemplate(Boolean useEnglishCRMTroubleTicketChangeTemplate)
	{
		this.useEnglishCRMTroubleTicketChangeTemplate = useEnglishCRMTroubleTicketChangeTemplate;
	}

	public void setUseEntityCodeForFileName(Boolean useEntityCodeForFileName)
	{
		this.useEntityCodeForFileName = useEntityCodeForFileName;
	}

	public void setUseEntityLegalEntityLogoWhenPrintForm(Boolean useEntityLegalEntityLogoWhenPrintForm)
	{
		this.useEntityLegalEntityLogoWhenPrintForm = useEntityLegalEntityLogoWhenPrintForm;
	}

	public void setUseEscalateToSpecificEmployee(Boolean useEscalateToSpecificEmployee)
	{
		this.useEscalateToSpecificEmployee = useEscalateToSpecificEmployee;
	}

	public void setUseEscalateToSupervisor(Boolean useEscalateToSupervisor)
	{
		this.useEscalateToSupervisor = useEscalateToSupervisor;
	}

	public void setUseFrenchInsteadOfEnglish(Boolean useFrenchInsteadOfEnglish)
	{
		this.useFrenchInsteadOfEnglish = useFrenchInsteadOfEnglish;
	}

	public void setUseKendoRichEditor(Boolean useKendoRichEditor)
	{
		this.useKendoRichEditor = useKendoRichEditor;
	}

	public void setUseLDAPForUsersLogin(Boolean useLDAPForUsersLogin)
	{
		this.useLDAPForUsersLogin = useLDAPForUsersLogin;
	}

	public void setUseLedgerCalendarForYearStartAndEndInReports(EntityReferenceData useLedgerCalendarForYearStartAndEndInReports)
	{
		this.useLedgerCalendarForYearStartAndEndInReports = useLedgerCalendarForYearStartAndEndInReports;
	}

	public void setUseLegacyPrintingCodeInPDF(Boolean useLegacyPrintingCodeInPDF)
	{
		this.useLegacyPrintingCodeInPDF = useLegacyPrintingCodeInPDF;
	}

	public void setUseLegalEntityInReplication(Boolean useLegalEntityInReplication)
	{
		this.useLegalEntityInReplication = useLegalEntityInReplication;
	}

	public void setUseLogoForPublic(EntityReferenceData useLogoForPublic)
	{
		this.useLogoForPublic = useLogoForPublic;
	}

	public void setUseNextRealNumberForDrafts(Boolean useNextRealNumberForDrafts)
	{
		this.useNextRealNumberForDrafts = useNextRealNumberForDrafts;
	}

	public void setUsePayReceiptDocsSysEntries(Boolean usePayReceiptDocsSysEntries)
	{
		this.usePayReceiptDocsSysEntries = usePayReceiptDocsSysEntries;
	}

	public void setUseRejectDecision(Boolean useRejectDecision)
	{
		this.useRejectDecision = useRejectDecision;
	}

	public void setUseReturnDecision(Boolean useReturnDecision)
	{
		this.useReturnDecision = useReturnDecision;
	}

	public void setUseReturnToPreviousStep(Boolean useReturnToPreviousStep)
	{
		this.useReturnToPreviousStep = useReturnToPreviousStep;
	}

	public void setUseReviseDocumentForAllEntities(Boolean useReviseDocumentForAllEntities)
	{
		this.useReviseDocumentForAllEntities = useReviseDocumentForAllEntities;
	}

	public void setUseSalesManAsEmployeeForPriceLists(Boolean useSalesManAsEmployeeForPriceLists)
	{
		this.useSalesManAsEmployeeForPriceLists = useSalesManAsEmployeeForPriceLists;
	}

	public void setUseSectorInReplication(Boolean useSectorInReplication)
	{
		this.useSectorInReplication = useSectorInReplication;
	}

	public void setUseToPeriodInFinancialBudget(Boolean useToPeriodInFinancialBudget)
	{
		this.useToPeriodInFinancialBudget = useToPeriodInFinancialBudget;
	}

	public void setUseUserPhoneAsCode(Boolean useUserPhoneAsCode)
	{
		this.useUserPhoneAsCode = useUserPhoneAsCode;
	}

	public void setUserAddRequestBook(EntityReferenceData userAddRequestBook)
	{
		this.userAddRequestBook = userAddRequestBook;
	}

	public void setUserAddRequestTerm(EntityReferenceData userAddRequestTerm)
	{
		this.userAddRequestTerm = userAddRequestTerm;
	}

	public void setUserAddRequestWelcomeMessageAr(String userAddRequestWelcomeMessageAr)
	{
		this.userAddRequestWelcomeMessageAr = userAddRequestWelcomeMessageAr;
	}

	public void setUserAddRequestWelcomeMessageEn(String userAddRequestWelcomeMessageEn)
	{
		this.userAddRequestWelcomeMessageEn = userAddRequestWelcomeMessageEn;
	}

	public void setUserCodeMask(String userCodeMask)
	{
		this.userCodeMask = userCodeMask;
	}

	public void setViewingFormat(String viewingFormat)
	{
		this.viewingFormat = viewingFormat;
	}

	public void setWhenPublicLegalEntitySearchLegalEntityLogoInReportParameters(Boolean whenPublicLegalEntitySearchLegalEntityLogoInReportParameters)
	{
		this.whenPublicLegalEntitySearchLegalEntityLogoInReportParameters = whenPublicLegalEntitySearchLegalEntityLogoInReportParameters;
	}

}
